import{S as Bl,i as Rl,s as Jl,e as o,k as c,w as b,t as l,M as zl,c as n,d as a,m as p,a as r,x as w,h as d,b as _,G as t,g as u,y as x,q as k,o as E,B as D,v as Yl,L as V}from"../../chunks/vendor-hf-doc-builder.js";import{T as Gl}from"../../chunks/Tip-hf-doc-builder.js";import{D as T}from"../../chunks/Docstring-hf-doc-builder.js";import{C as L}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Q}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as U}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{D as bi}from"../../chunks/Deprecated-hf-doc-builder.js";function Xl(j){let i,$,h,m,v;return m=new L({props:{code:`from datasets import list_datasets
list_datasets()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> list_datasets
<span class="hljs-meta">&gt;&gt;&gt; </span>list_datasets()
[<span class="hljs-string">&#x27;acronym_identification&#x27;</span>,
 <span class="hljs-string">&#x27;ade_corpus_v2&#x27;</span>,
 <span class="hljs-string">&#x27;adversarial_qa&#x27;</span>,
 <span class="hljs-string">&#x27;aeslc&#x27;</span>,
 <span class="hljs-string">&#x27;afrikaans_ner_corpus&#x27;</span>,
 <span class="hljs-string">&#x27;ag_news&#x27;</span>,
 ...
]`}}),{c(){i=o("p"),$=l("Example:"),h=c(),b(m.$$.fragment)},l(s){i=n(s,"P",{});var f=r(i);$=d(f,"Example:"),f.forEach(a),h=p(s),w(m.$$.fragment,s)},m(s,f){u(s,i,f),t(i,$),u(s,h,f),x(m,s,f),v=!0},p:V,i(s){v||(k(m.$$.fragment,s),v=!0)},o(s){E(m.$$.fragment,s),v=!1},d(s){s&&a(i),s&&a(h),D(m,s)}}}function Ql(j){let i,$,h,m,v;return m=new L({props:{code:`from datasets import load_dataset
ds = load_dataset('rotten_tomatoes', split='train')

data_files = {'train': 'train.csv', 'test': 'test.csv'}
ds = load_dataset('namespace/your_dataset_name', data_files=data_files)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&#x27;rotten_tomatoes&#x27;</span>, split=<span class="hljs-string">&#x27;train&#x27;</span>)

<span class="hljs-comment"># Map data files to splits</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>data_files = {<span class="hljs-string">&#x27;train&#x27;</span>: <span class="hljs-string">&#x27;train.csv&#x27;</span>, <span class="hljs-string">&#x27;test&#x27;</span>: <span class="hljs-string">&#x27;test.csv&#x27;</span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&#x27;namespace/your_dataset_name&#x27;</span>, data_files=data_files)`}}),{c(){i=o("p"),$=l("Load a dataset from the Hugging Face Hub:"),h=c(),b(m.$$.fragment)},l(s){i=n(s,"P",{});var f=r(i);$=d(f,"Load a dataset from the Hugging Face Hub:"),f.forEach(a),h=p(s),w(m.$$.fragment,s)},m(s,f){u(s,i,f),t(i,$),u(s,h,f),x(m,s,f),v=!0},p:V,i(s){v||(k(m.$$.fragment,s),v=!0)},o(s){E(m.$$.fragment,s),v=!1},d(s){s&&a(i),s&&a(h),D(m,s)}}}function Wl(j){let i,$,h,m,v;return m=new L({props:{code:`from datasets import load_dataset
ds = load_dataset('csv', data_files='path/to/local/my_dataset.csv')

from datasets import load_dataset
ds = load_dataset('json', data_files='path/to/local/my_dataset.json')

from datasets import load_dataset
ds = load_dataset('path/to/local/loading_script/loading_script.py', split='train')`,highlighted:`<span class="hljs-comment"># Load a CSV file</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&#x27;csv&#x27;</span>, data_files=<span class="hljs-string">&#x27;path/to/local/my_dataset.csv&#x27;</span>)

<span class="hljs-comment"># Load a JSON file</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&#x27;json&#x27;</span>, data_files=<span class="hljs-string">&#x27;path/to/local/my_dataset.json&#x27;</span>)

<span class="hljs-comment"># Load from a local loading script</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&#x27;path/to/local/loading_script/loading_script.py&#x27;</span>, split=<span class="hljs-string">&#x27;train&#x27;</span>)`}}),{c(){i=o("p"),$=l("Load a local dataset:"),h=c(),b(m.$$.fragment)},l(s){i=n(s,"P",{});var f=r(i);$=d(f,"Load a local dataset:"),f.forEach(a),h=p(s),w(m.$$.fragment,s)},m(s,f){u(s,i,f),t(i,$),u(s,h,f),x(m,s,f),v=!0},p:V,i(s){v||(k(m.$$.fragment,s),v=!0)},o(s){E(m.$$.fragment,s),v=!1},d(s){s&&a(i),s&&a(h),D(m,s)}}}function Kl(j){let i,$,h,m,v,s,f,N;return f=new L({props:{code:`from datasets import load_dataset
ds = load_dataset('rotten_tomatoes', split='train', streaming=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&#x27;rotten_tomatoes&#x27;</span>, split=<span class="hljs-string">&#x27;train&#x27;</span>, streaming=<span class="hljs-literal">True</span>)`}}),{c(){i=o("p"),$=l("Load an ["),h=o("em"),m=l("~datasets.IterableDataset"),v=l("]:"),s=c(),b(f.$$.fragment)},l(y){i=n(y,"P",{});var S=r(i);$=d(S,"Load an ["),h=n(S,"EM",{});var q=r(h);m=d(q,"~datasets.IterableDataset"),q.forEach(a),v=d(S,"]:"),S.forEach(a),s=p(y),w(f.$$.fragment,y)},m(y,S){u(y,i,S),t(i,$),t(i,h),t(h,m),t(i,v),u(y,s,S),x(f,y,S),N=!0},p:V,i(y){N||(k(f.$$.fragment,y),N=!0)},o(y){E(f.$$.fragment,y),N=!1},d(y){y&&a(i),y&&a(s),D(f,y)}}}function Zl(j){let i,$,h,m,v,s,f,N;return f=new L({props:{code:`from datasets import load_dataset
ds = load_dataset('imagefolder', data_dir='/path/to/images', split='train')`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&#x27;imagefolder&#x27;</span>, data_dir=<span class="hljs-string">&#x27;/path/to/images&#x27;</span>, split=<span class="hljs-string">&#x27;train&#x27;</span>)`}}),{c(){i=o("p"),$=l("Load an image dataset with the "),h=o("em"),m=l("ImageFolder"),v=l(" dataset builder:"),s=c(),b(f.$$.fragment)},l(y){i=n(y,"P",{});var S=r(i);$=d(S,"Load an image dataset with the "),h=n(S,"EM",{});var q=r(h);m=d(q,"ImageFolder"),q.forEach(a),v=d(S," dataset builder:"),S.forEach(a),s=p(y),w(f.$$.fragment,y)},m(y,S){u(y,i,S),t(i,$),t(i,h),t(h,m),t(i,v),u(y,s,S),x(f,y,S),N=!0},p:V,i(y){N||(k(f.$$.fragment,y),N=!0)},o(y){E(f.$$.fragment,y),N=!1},d(y){y&&a(i),y&&a(s),D(f,y)}}}function ed(j){let i,$,h,m,v;return m=new L({props:{code:`from datasets import load_from_disk
ds = load_from_disk('path/to/dataset/directory')`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_from_disk
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_from_disk(<span class="hljs-string">&#x27;path/to/dataset/directory&#x27;</span>)`}}),{c(){i=o("p"),$=l("Example:"),h=c(),b(m.$$.fragment)},l(s){i=n(s,"P",{});var f=r(i);$=d(f,"Example:"),f.forEach(a),h=p(s),w(m.$$.fragment,s)},m(s,f){u(s,i,f),t(i,$),u(s,h,f),x(m,s,f),v=!0},p:V,i(s){v||(k(m.$$.fragment,s),v=!0)},o(s){E(m.$$.fragment,s),v=!1},d(s){s&&a(i),s&&a(h),D(m,s)}}}function td(j){let i,$,h,m,v;return m=new L({props:{code:`from datasets import load_dataset_builder
ds_builder = load_dataset_builder('rotten_tomatoes')
ds_builder.info.features`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset_builder
<span class="hljs-meta">&gt;&gt;&gt; </span>ds_builder = load_dataset_builder(<span class="hljs-string">&#x27;rotten_tomatoes&#x27;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds_builder.info.features
{<span class="hljs-string">&#x27;label&#x27;</span>: ClassLabel(num_classes=<span class="hljs-number">2</span>, names=[<span class="hljs-string">&#x27;neg&#x27;</span>, <span class="hljs-string">&#x27;pos&#x27;</span>], <span class="hljs-built_in">id</span>=<span class="hljs-literal">None</span>),
 <span class="hljs-string">&#x27;text&#x27;</span>: Value(dtype=<span class="hljs-string">&#x27;string&#x27;</span>, <span class="hljs-built_in">id</span>=<span class="hljs-literal">None</span>)}`}}),{c(){i=o("p"),$=l("Example:"),h=c(),b(m.$$.fragment)},l(s){i=n(s,"P",{});var f=r(i);$=d(f,"Example:"),f.forEach(a),h=p(s),w(m.$$.fragment,s)},m(s,f){u(s,i,f),t(i,$),u(s,h,f),x(m,s,f),v=!0},p:V,i(s){v||(k(m.$$.fragment,s),v=!0)},o(s){E(m.$$.fragment,s),v=!1},d(s){s&&a(i),s&&a(h),D(m,s)}}}function ad(j){let i,$,h,m,v;return m=new L({props:{code:`from datasets import get_dataset_config_names
get_dataset_config_names("glue")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> get_dataset_config_names
<span class="hljs-meta">&gt;&gt;&gt; </span>get_dataset_config_names(<span class="hljs-string">&quot;glue&quot;</span>)
[<span class="hljs-string">&#x27;cola&#x27;</span>,
 <span class="hljs-string">&#x27;sst2&#x27;</span>,
 <span class="hljs-string">&#x27;mrpc&#x27;</span>,
 <span class="hljs-string">&#x27;qqp&#x27;</span>,
 <span class="hljs-string">&#x27;stsb&#x27;</span>,
 <span class="hljs-string">&#x27;mnli&#x27;</span>,
 <span class="hljs-string">&#x27;mnli_mismatched&#x27;</span>,
 <span class="hljs-string">&#x27;mnli_matched&#x27;</span>,
 <span class="hljs-string">&#x27;qnli&#x27;</span>,
 <span class="hljs-string">&#x27;rte&#x27;</span>,
 <span class="hljs-string">&#x27;wnli&#x27;</span>,
 <span class="hljs-string">&#x27;ax&#x27;</span>]`}}),{c(){i=o("p"),$=l("Example:"),h=c(),b(m.$$.fragment)},l(s){i=n(s,"P",{});var f=r(i);$=d(f,"Example:"),f.forEach(a),h=p(s),w(m.$$.fragment,s)},m(s,f){u(s,i,f),t(i,$),u(s,h,f),x(m,s,f),v=!0},p:V,i(s){v||(k(m.$$.fragment,s),v=!0)},o(s){E(m.$$.fragment,s),v=!1},d(s){s&&a(i),s&&a(h),D(m,s)}}}function sd(j){let i,$,h,m,v;return m=new L({props:{code:`from datasets import get_dataset_infos
get_dataset_infos('rotten_tomatoes')`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> get_dataset_infos
<span class="hljs-meta">&gt;&gt;&gt; </span>get_dataset_infos(<span class="hljs-string">&#x27;rotten_tomatoes&#x27;</span>)
{<span class="hljs-string">&#x27;default&#x27;</span>: DatasetInfo(description=<span class="hljs-string">&quot;Movie Review Dataset.
 is a dataset of containing 5,331 positive and 5,331 negative processed
ences from Rotten Tomatoes movie reviews...), ...}</span>`}}),{c(){i=o("p"),$=l("Example:"),h=c(),b(m.$$.fragment)},l(s){i=n(s,"P",{});var f=r(i);$=d(f,"Example:"),f.forEach(a),h=p(s),w(m.$$.fragment,s)},m(s,f){u(s,i,f),t(i,$),u(s,h,f),x(m,s,f),v=!0},p:V,i(s){v||(k(m.$$.fragment,s),v=!0)},o(s){E(m.$$.fragment,s),v=!1},d(s){s&&a(i),s&&a(h),D(m,s)}}}function od(j){let i,$,h,m,v;return m=new L({props:{code:`from datasets import get_dataset_split_names
get_dataset_split_names('rotten_tomatoes')`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> get_dataset_split_names
<span class="hljs-meta">&gt;&gt;&gt; </span>get_dataset_split_names(<span class="hljs-string">&#x27;rotten_tomatoes&#x27;</span>)
[<span class="hljs-string">&#x27;train&#x27;</span>, <span class="hljs-string">&#x27;validation&#x27;</span>, <span class="hljs-string">&#x27;test&#x27;</span>]`}}),{c(){i=o("p"),$=l("Example:"),h=c(),b(m.$$.fragment)},l(s){i=n(s,"P",{});var f=r(i);$=d(f,"Example:"),f.forEach(a),h=p(s),w(m.$$.fragment,s)},m(s,f){u(s,i,f),t(i,$),u(s,h,f),x(m,s,f),v=!0},p:V,i(s){v||(k(m.$$.fragment,s),v=!0)},o(s){E(m.$$.fragment,s),v=!1},d(s){s&&a(i),s&&a(h),D(m,s)}}}function nd(j){let i,$,h,m,v;return{c(){i=o("p"),$=l("Metrics is deprecated in \u{1F917} Datasets. To learn more about how to use metrics, take a look at the library \u{1F917} "),h=o("a"),m=l("Evaluate"),v=l("! In addition to metrics, you can find more tools for evaluating models and datasets."),this.h()},l(s){i=n(s,"P",{});var f=r(i);$=d(f,"Metrics is deprecated in \u{1F917} Datasets. To learn more about how to use metrics, take a look at the library \u{1F917} "),h=n(f,"A",{href:!0,rel:!0});var N=r(h);m=d(N,"Evaluate"),N.forEach(a),v=d(f,"! In addition to metrics, you can find more tools for evaluating models and datasets."),f.forEach(a),this.h()},h(){_(h,"href","https://huggingface.co/docs/evaluate/index"),_(h,"rel","nofollow")},m(s,f){u(s,i,f),t(i,$),t(i,h),t(h,m),t(i,v)},d(s){s&&a(i)}}}function rd(j){let i,$,h,m,v,s,f;return{c(){i=o("p"),$=l("Use "),h=o("em"),m=l("evaluate.list_evaluation_modules"),v=l(" instead, from the new library \u{1F917} Evaluate: "),s=o("a"),f=l("https://huggingface.co/docs/evaluate"),this.h()},l(N){i=n(N,"P",{});var y=r(i);$=d(y,"Use "),h=n(y,"EM",{});var S=r(h);m=d(S,"evaluate.list_evaluation_modules"),S.forEach(a),v=d(y," instead, from the new library \u{1F917} Evaluate: "),s=n(y,"A",{href:!0,rel:!0});var q=r(s);f=d(q,"https://huggingface.co/docs/evaluate"),q.forEach(a),y.forEach(a),this.h()},h(){_(s,"href","https://huggingface.co/docs/evaluate"),_(s,"rel","nofollow")},m(N,y){u(N,i,y),t(i,$),t(i,h),t(h,m),t(i,v),t(i,s),t(s,f)},d(N){N&&a(i)}}}function id(j){let i,$,h,m,v;return m=new L({props:{code:`from datasets import list_metrics
list_metrics()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> list_metrics
<span class="hljs-meta">&gt;&gt;&gt; </span>list_metrics()
[<span class="hljs-string">&#x27;accuracy&#x27;</span>,
 <span class="hljs-string">&#x27;bertscore&#x27;</span>,
 <span class="hljs-string">&#x27;bleu&#x27;</span>,
 <span class="hljs-string">&#x27;bleurt&#x27;</span>,
 <span class="hljs-string">&#x27;cer&#x27;</span>,
 <span class="hljs-string">&#x27;chrf&#x27;</span>,
 ...
]`}}),{c(){i=o("p"),$=l("Example:"),h=c(),b(m.$$.fragment)},l(s){i=n(s,"P",{});var f=r(i);$=d(f,"Example:"),f.forEach(a),h=p(s),w(m.$$.fragment,s)},m(s,f){u(s,i,f),t(i,$),u(s,h,f),x(m,s,f),v=!0},p:V,i(s){v||(k(m.$$.fragment,s),v=!0)},o(s){E(m.$$.fragment,s),v=!1},d(s){s&&a(i),s&&a(h),D(m,s)}}}function ld(j){let i,$,h,m,v,s,f;return{c(){i=o("p"),$=l("Use "),h=o("em"),m=l("evaluate.load"),v=l(" instead, from the new library \u{1F917} Evaluate: "),s=o("a"),f=l("https://huggingface.co/docs/evaluate"),this.h()},l(N){i=n(N,"P",{});var y=r(i);$=d(y,"Use "),h=n(y,"EM",{});var S=r(h);m=d(S,"evaluate.load"),S.forEach(a),v=d(y," instead, from the new library \u{1F917} Evaluate: "),s=n(y,"A",{href:!0,rel:!0});var q=r(s);f=d(q,"https://huggingface.co/docs/evaluate"),q.forEach(a),y.forEach(a),this.h()},h(){_(s,"href","https://huggingface.co/docs/evaluate"),_(s,"rel","nofollow")},m(N,y){u(N,i,y),t(i,$),t(i,h),t(h,m),t(i,v),t(i,s),t(s,f)},d(N){N&&a(i)}}}function dd(j){let i,$,h,m,v;return m=new L({props:{code:`from datasets import load_metric
accuracy = load_metric('accuracy')
accuracy.compute(references=[1, 0], predictions=[1, 1])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_metric
<span class="hljs-meta">&gt;&gt;&gt; </span>accuracy = load_metric(<span class="hljs-string">&#x27;accuracy&#x27;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>accuracy.compute(references=[<span class="hljs-number">1</span>, <span class="hljs-number">0</span>], predictions=[<span class="hljs-number">1</span>, <span class="hljs-number">1</span>])
{<span class="hljs-string">&#x27;accuracy&#x27;</span>: <span class="hljs-number">0.5</span>}`}}),{c(){i=o("p"),$=l("Example:"),h=c(),b(m.$$.fragment)},l(s){i=n(s,"P",{});var f=r(i);$=d(f,"Example:"),f.forEach(a),h=p(s),w(m.$$.fragment,s)},m(s,f){u(s,i,f),t(i,$),u(s,h,f),x(m,s,f),v=!0},p:V,i(s){v||(k(m.$$.fragment,s),v=!0)},o(s){E(m.$$.fragment,s),v=!1},d(s){s&&a(i),s&&a(h),D(m,s)}}}function cd(j){let i,$,h,m,v,s,f;return{c(){i=o("p"),$=l("Use "),h=o("em"),m=l("evaluate.inspect_evaluation_module"),v=l(" instead, from the new library \u{1F917} Evaluate instead: "),s=o("a"),f=l("https://huggingface.co/docs/evaluate"),this.h()},l(N){i=n(N,"P",{});var y=r(i);$=d(y,"Use "),h=n(y,"EM",{});var S=r(h);m=d(S,"evaluate.inspect_evaluation_module"),S.forEach(a),v=d(y," instead, from the new library \u{1F917} Evaluate instead: "),s=n(y,"A",{href:!0,rel:!0});var q=r(s);f=d(q,"https://huggingface.co/docs/evaluate"),q.forEach(a),y.forEach(a),this.h()},h(){_(s,"href","https://huggingface.co/docs/evaluate"),_(s,"rel","nofollow")},m(N,y){u(N,i,y),t(i,$),t(i,h),t(h,m),t(i,v),t(i,s),t(s,f)},d(N){N&&a(i)}}}function pd(j){let i,$,h,m,v,s,f,N,y,S,q,Co,ws,W,ye,ea,Ke,So,ta,Oo,xs,M,Ze,qo,aa,Fo,To,be,ks,C,et,Po,sa,Io,Ao,K,Lo,tt,Ho,Uo,oa,Vo,Mo,Bo,na,Ro,Jo,at,ra,zo,Yo,ia,Go,Xo,la,Qo,Wo,da,Ko,Zo,Z,B,st,en,ca,tn,an,sn,pa,on,nn,ma,rn,ln,Ut,dn,ot,cn,pn,nt,fa,mn,fn,rt,ga,ha,gn,hn,it,ua,un,_n,_a,vn,$n,va,lt,yn,$a,bn,wn,xn,ya,kn,En,ba,Dn,Nn,we,jn,xe,Cn,ke,Sn,Ee,Es,R,dt,On,J,qn,Vt,Fn,Tn,Mt,Pn,In,wa,An,Ln,Hn,De,Ds,F,ct,Un,xa,Vn,Mn,ee,Bn,pt,Rn,Jn,ka,zn,Yn,Gn,Ea,Xn,Qn,mt,Da,Wn,Kn,Na,Zn,er,ja,tr,ar,Ne,Ns,z,ft,sr,Ca,or,nr,je,js,Y,gt,rr,Sa,ir,lr,Ce,Cs,G,ht,dr,Oa,cr,pr,Se,Ss,te,ut,mr,qa,fr,Os,ae,Oe,Fa,_t,gr,Ta,hr,qs,qe,Fs,I,vt,ur,Pa,_r,vr,Fe,$r,Te,Ts,A,$t,yr,yt,br,Ia,wr,xr,kr,Pe,Er,Ie,Ps,X,bt,Dr,Aa,Nr,jr,Ae,Is,se,Le,La,wt,Cr,Ha,Sr,As,Bt,Or,Ls,He,Rt,qr,Ua,Fr,Tr,Jt,Pr,Va,Ir,Hs,H,Ar,Ma,Lr,Hr,Ba,Ur,Vr,zt,Mr,Br,Us,xt,Vs,oe,Ue,Ra,kt,Rr,Ja,Jr,Ms,ne,Et,zr,za,Yr,Bs,re,Ve,Ya,Dt,Gr,Ga,Xr,Rs,ie,Nt,Qr,Xa,Wr,Js,le,Me,Qa,jt,Kr,Wa,Zr,zs,de,Ct,ei,Ka,ti,Ys,ce,Be,Za,St,ai,es,si,Gs,pe,Ot,oi,ts,ni,Xs,me,Re,as,qt,ri,ss,ii,Qs,fe,Ft,li,os,di,Ws,ge,Je,ns,Tt,ci,rs,pi,Ks,he,Pt,mi,is,fi,Zs,ue,ze,ls,It,gi,ds,hi,eo,_e,At,ui,cs,_i,to;return s=new Q({}),Ke=new Q({}),Ze=new T({props:{name:"datasets.list_datasets",anchor:"datasets.list_datasets",parameters:[{name:"with_community_datasets",val:" = True"},{name:"with_details",val:" = False"}],parametersDescription:[{anchor:"datasets.list_datasets.with_community_datasets",description:"<strong>with_community_datasets</strong> (<code>bool</code>, optional, default <code>True</code>) &#x2014; Include the community provided datasets.",name:"with_community_datasets"},{anchor:"datasets.list_datasets.with_details",description:"<strong>with_details</strong> (<code>bool</code>, optional, default <code>False</code>) &#x2014; Return the full details on the datasets instead of only the short name.",name:"with_details"}],source:"https://github.com/huggingface/datasets/blob/main/src/datasets/inspect.py#L44"}}),be=new U({props:{anchor:"datasets.list_datasets.example",$$slots:{default:[Xl]},$$scope:{ctx:j}}}),et=new T({props:{name:"datasets.load_dataset",anchor:"datasets.load_dataset",parameters:[{name:"path",val:": str"},{name:"name",val:": typing.Optional[str] = None"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Union[str, typing.Sequence[str], typing.Mapping[str, typing.Union[str, typing.Sequence[str]]], NoneType] = None"},{name:"split",val:": typing.Union[str, datasets.splits.Split, NoneType] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"},{name:"download_config",val:": typing.Optional[datasets.download.download_config.DownloadConfig] = None"},{name:"download_mode",val:": typing.Optional[datasets.download.download_manager.DownloadMode] = None"},{name:"ignore_verifications",val:": bool = False"},{name:"keep_in_memory",val:": typing.Optional[bool] = None"},{name:"save_infos",val:": bool = False"},{name:"revision",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = None"},{name:"use_auth_token",val:": typing.Union[str, bool, NoneType] = None"},{name:"task",val:": typing.Union[str, datasets.tasks.base.TaskTemplate, NoneType] = None"},{name:"streaming",val:": bool = False"},{name:"num_proc",val:": typing.Optional[int] = None"},{name:"**config_kwargs",val:""}],parametersDescription:[{anchor:"datasets.load_dataset.path",description:`<strong>path</strong> (<code>str</code>) &#x2014; Path or name of the dataset.
Depending on <code>path</code>, the dataset builder that is used comes from a generic dataset script (JSON, CSV, Parquet, text etc.) or from the dataset script (a python file) inside the dataset directory.</p>
<p>For local datasets:</p>
<ul>
<li>if <code>path</code> is a local directory (containing data files only)
-&gt; load a generic dataset builder (csv, json, text etc.) based on the content of the directory
e.g. <code>&apos;./path/to/directory/with/my/csv/data&apos;</code>.</li>
<li>if <code>path</code> is a local dataset script or a directory containing a local dataset script (if the script has the same name as the directory):
-&gt; load the dataset builder from the dataset script
e.g. <code>&apos;./dataset/squad&apos;</code> or <code>&apos;./dataset/squad/squad.py&apos;</code>.</li>
</ul>
<p>For datasets on the Hugging Face Hub (list all available datasets and ids with <code>datasets.list_datasets()</code>)</p>
<ul>
<li>if <code>path</code> is a dataset repository on the HF hub (containing data files only)
-&gt; load a generic dataset builder (csv, text etc.) based on the content of the repository
e.g. <code>&apos;username/dataset_name&apos;</code>, a dataset repository on the HF hub containing your data files.</li>
<li>if <code>path</code> is a dataset repository on the HF hub with a dataset script (if the script has the same name as the directory)
-&gt; load the dataset builder from the dataset script in the dataset repository
e.g. <code>glue</code>, <code>squad</code>, <code>&apos;username/dataset_name&apos;</code>, a dataset repository on the HF hub containing a dataset script <em>&#x2018;dataset_name.py&#x2019;</em>.</li>
</ul>`,name:"path"},{anchor:"datasets.load_dataset.name",description:"<strong>name</strong> (<code>str</code>, optional) &#x2014; Defining the name of the dataset configuration.",name:"name"},{anchor:"datasets.load_dataset.data_dir",description:`<strong>data_dir</strong> (<code>str</code>, optional) &#x2014; Defining the data_dir of the dataset configuration. If specified for the generic builders (csv, text etc.) or the Hub datasets and <em>data_files</em> is None,
the behavior is equal to passing <em>os.path.join(data_dir, **)</em> as <em>data_files</em> to reference all the files in a directory.`,name:"data_dir"},{anchor:"datasets.load_dataset.data_files",description:"<strong>data_files</strong> (<code>str</code> or <code>Sequence</code> or <code>Mapping</code>, optional) &#x2014; Path(s) to source data file(s).",name:"data_files"},{anchor:"datasets.load_dataset.split",description:`<strong>split</strong> (<a href="/docs/datasets/main/en/package_reference/builder_classes#datasets.Split">Split</a> or <code>str</code>) &#x2014; Which split of the data to load.
If None, will return a <em>dict</em> with all splits (typically <em>datasets.Split.TRAIN</em> and <em>datasets.Split.TEST</em>).
If given, will return a single Dataset.
Splits can be combined and specified like in tensorflow-datasets.`,name:"split"},{anchor:"datasets.load_dataset.cache_dir",description:"<strong>cache_dir</strong> (<code>str</code>, optional) &#x2014; Directory to read/write data. Defaults to &#x201D;~/.cache/huggingface/datasets&#x201D;.",name:"cache_dir"},{anchor:"datasets.load_dataset.features",description:'<strong>features</strong> (<a href="/docs/datasets/main/en/package_reference/main_classes#datasets.Features">Features</a>, optional) &#x2014; Set the features type to use for this dataset.',name:"features"},{anchor:"datasets.load_dataset.download_config",description:'<strong>download_config</strong> (<a href="/docs/datasets/main/en/package_reference/builder_classes#datasets.DownloadConfig">DownloadConfig</a>, optional) &#x2014; Specific download configuration parameters.',name:"download_config"},{anchor:"datasets.load_dataset.download_mode",description:'<strong>download_mode</strong> (<a href="/docs/datasets/main/en/package_reference/builder_classes#datasets.DownloadMode">DownloadMode</a>, default <code>REUSE_DATASET_IF_EXISTS</code>) &#x2014; Download/generate mode.',name:"download_mode"},{anchor:"datasets.load_dataset.ignore_verifications",description:"<strong>ignore_verifications</strong> (<code>bool</code>, default <code>False</code>) &#x2014; Ignore the verifications of the downloaded/processed dataset information (checksums/size/splits/&#x2026;).",name:"ignore_verifications"},{anchor:"datasets.load_dataset.keep_in_memory",description:`<strong>keep_in_memory</strong> (<code>bool</code>, default <code>None</code>) &#x2014; Whether to copy the dataset in-memory. If <em>None</em>, the dataset
will not be copied in-memory unless explicitly enabled by setting <em>datasets.config.IN_MEMORY_MAX_SIZE</em> to
nonzero. See more details in the <a href="/docs/datasets/main/en/package_reference/loading_methods#load_dataset_enhancing_performance">load_dataset_enhancing_performance</a> section.`,name:"keep_in_memory"},{anchor:"datasets.load_dataset.save_infos",description:"<strong>save_infos</strong> (<code>bool</code>, default <code>False</code>) &#x2014; Save the dataset information (checksums/size/splits/&#x2026;).",name:"save_infos"},{anchor:"datasets.load_dataset.revision",description:`<strong>revision</strong> (<a href="/docs/datasets/main/en/package_reference/builder_classes#datasets.Version">Version</a> or <code>str</code>, optional) &#x2014; Version of the dataset script to load.
As datasets have their own git repository on the Datasets Hub, the default version &#x201C;main&#x201D; corresponds to their &#x201C;main&#x201D; branch.
You can specify a different version than the default &#x201C;main&#x201D; by using a commit SHA or a git tag of the dataset repository.`,name:"revision"},{anchor:"datasets.load_dataset.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <code>bool</code>, optional) &#x2014; Optional string or boolean to use as Bearer token for remote files on the Datasets Hub.
If True, or not specified, will get token from <em>&#x201D;~/.huggingface&#x201D;</em>.`,name:"use_auth_token"},{anchor:"datasets.load_dataset.task",description:'<strong>task</strong> (<code>str</code>) &#x2014; The task to prepare the dataset for during training and evaluation. Casts the dataset&#x2019;s <a href="/docs/datasets/main/en/package_reference/main_classes#datasets.Features">Features</a> to standardized column names and types as detailed in :py:mod:<em>datasets.tasks</em>.',name:"task"},{anchor:"datasets.load_dataset.streaming",description:`<strong>streaming</strong> (<code>bool</code>, default <code>False</code>) &#x2014; If set to True, don&#x2019;t download the data files. Instead, it streams the data progressively while
iterating on the dataset. An IterableDataset or IterableDatasetDict is returned instead in this case.</p>
<p>Note that streaming works for datasets that use data formats that support being iterated over like txt, csv, jsonl for example.
Json files may be downloaded completely. Also streaming from remote zip or gzip files is supported but other compressed formats
like rar and xz are not yet supported. The tgz format doesn&#x2019;t allow streaming.`,name:"streaming"},{anchor:"datasets.load_dataset.num_proc",description:`<strong>num_proc</strong> (<code>int</code>, optional, default <em>None</em>) &#x2014; Number of processes when downloading and generating the dataset locally.
Multiprocessing is disabled by default.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						<p class="font-medium">Added in 2.7.0</p>
						
					</div>`,name:"num_proc"},{anchor:"datasets.load_dataset.*config_kwargs",description:`*<strong>*config_kwargs</strong> (additional keyword arguments) &#x2014; Keyword arguments to be passed to the <a href="/docs/datasets/main/en/package_reference/builder_classes#datasets.BuilderConfig">BuilderConfig</a>
and used in the <a href="/docs/datasets/main/en/package_reference/builder_classes#datasets.DatasetBuilder">DatasetBuilder</a>.`,name:"*config_kwargs"}],source:"https://github.com/huggingface/datasets/blob/main/src/datasets/load.py#L1522",returnDescription:`
<ul>
<li>if <em>split</em> is not None: the dataset requested,</li>
<li>if <em>split</em> is None, a <code>datasets.DatasetDict</code> with each split.</li>
</ul>
<p>or <a
  href="/docs/datasets/main/en/package_reference/main_classes#datasets.IterableDataset"
>IterableDataset</a> or <a
  href="/docs/datasets/main/en/package_reference/main_classes#datasets.IterableDatasetDict"
>IterableDatasetDict</a>: if streaming=True</p>
<ul>
<li>if <em>split</em> is not None: the dataset requested,</li>
<li>if <em>split</em> is None, a <code>datasets.streaming.IterableDatasetDict</code> with each split.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/datasets/main/en/package_reference/main_classes#datasets.Dataset"
>Dataset</a> or <a
  href="/docs/datasets/main/en/package_reference/main_classes#datasets.DatasetDict"
>DatasetDict</a></p>
`}}),we=new U({props:{anchor:"datasets.load_dataset.example",$$slots:{default:[Ql]},$$scope:{ctx:j}}}),xe=new U({props:{anchor:"datasets.load_dataset.example-2",$$slots:{default:[Wl]},$$scope:{ctx:j}}}),ke=new U({props:{anchor:"datasets.load_dataset.example-3",$$slots:{default:[Kl]},$$scope:{ctx:j}}}),Ee=new U({props:{anchor:"datasets.load_dataset.example-4",$$slots:{default:[Zl]},$$scope:{ctx:j}}}),dt=new T({props:{name:"datasets.load_from_disk",anchor:"datasets.load_from_disk",parameters:[{name:"dataset_path",val:": str"},{name:"fs",val:" = None"},{name:"keep_in_memory",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"datasets.load_from_disk.dataset_path",description:`<strong>dataset_path</strong> (<code>str</code>) &#x2014; Path (e.g. <em>&#x201C;dataset/train&#x201D;</em>) or remote URI (e.g.
<em>&#x201C;s3://my-bucket/dataset/train&#x201D;</em>) of the Dataset or DatasetDict directory where the dataset will be
loaded from.`,name:"dataset_path"},{anchor:"datasets.load_from_disk.fs",description:`<strong>fs</strong> (<a href="/docs/datasets/main/en/package_reference/main_classes#datasets.filesystems.S3FileSystem">S3FileSystem</a> or <code>fsspec.spec.AbstractFileSystem</code>, optional, default <code>None</code>) &#x2014;
Instance of the remote filesystem used to download the files from.`,name:"fs"},{anchor:"datasets.load_from_disk.keep_in_memory",description:`<strong>keep_in_memory</strong> (<code>bool</code>, default <code>None</code>) &#x2014; Whether to copy the dataset in-memory. If <em>None</em>, the dataset
will not be copied in-memory unless explicitly enabled by setting <em>datasets.config.IN_MEMORY_MAX_SIZE</em> to
nonzero. See more details in the <a href="/docs/datasets/main/en/package_reference/loading_methods#load_dataset_enhancing_performance">load_dataset_enhancing_performance</a> section.`,name:"keep_in_memory"}],source:"https://github.com/huggingface/datasets/blob/main/src/datasets/load.py#L1750",returnDescription:`
<ul>
<li>If <em>dataset_path</em> is a path of a dataset directory: the dataset requested.</li>
<li>If <em>dataset_path</em> is a path of a dataset dict directory: a <code>datasets.DatasetDict</code> with each split.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/datasets/main/en/package_reference/main_classes#datasets.Dataset"
>Dataset</a> or <a
  href="/docs/datasets/main/en/package_reference/main_classes#datasets.DatasetDict"
>DatasetDict</a></p>
`}}),De=new U({props:{anchor:"datasets.load_from_disk.example",$$slots:{default:[ed]},$$scope:{ctx:j}}}),ct=new T({props:{name:"datasets.load_dataset_builder",anchor:"datasets.load_dataset_builder",parameters:[{name:"path",val:": str"},{name:"name",val:": typing.Optional[str] = None"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Union[str, typing.Sequence[str], typing.Mapping[str, typing.Union[str, typing.Sequence[str]]], NoneType] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"},{name:"download_config",val:": typing.Optional[datasets.download.download_config.DownloadConfig] = None"},{name:"download_mode",val:": typing.Optional[datasets.download.download_manager.DownloadMode] = None"},{name:"revision",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = None"},{name:"use_auth_token",val:": typing.Union[str, bool, NoneType] = None"},{name:"**config_kwargs",val:""}],parametersDescription:[{anchor:"datasets.load_dataset_builder.path",description:`<strong>path</strong> (<code>str</code>) &#x2014; Path or name of the dataset.
Depending on <code>path</code>, the dataset builder that is used comes from a generic dataset script (JSON, CSV, Parquet, text etc.) or from the dataset script (a python file) inside the dataset directory.</p>
<p>For local datasets:</p>
<ul>
<li>if <code>path</code> is a local directory (containing data files only)
-&gt; load a generic dataset builder (csv, json, text etc.) based on the content of the directory
e.g. <code>&apos;./path/to/directory/with/my/csv/data&apos;</code>.</li>
<li>if <code>path</code> is a local dataset script or a directory containing a local dataset script (if the script has the same name as the directory):
-&gt; load the dataset builder from the dataset script
e.g. <code>&apos;./dataset/squad&apos;</code> or <code>&apos;./dataset/squad/squad.py&apos;</code>.</li>
</ul>
<p>For datasets on the Hugging Face Hub (list all available datasets and ids with <code>datasets.list_datasets()</code>)</p>
<ul>
<li>if <code>path</code> is a dataset repository on the HF hub (containing data files only)
-&gt; load a generic dataset builder (csv, text etc.) based on the content of the repository
e.g. <code>&apos;username/dataset_name&apos;</code>, a dataset repository on the HF hub containing your data files.</li>
<li>if <code>path</code> is a dataset repository on the HF hub with a dataset script (if the script has the same name as the directory)
-&gt; load the dataset builder from the dataset script in the dataset repository
e.g. <code>glue</code>, <code>squad</code>, <code>&apos;username/dataset_name&apos;</code>, a dataset repository on the HF hub containing a dataset script <em>&#x2018;dataset_name.py&#x2019;</em>.</li>
</ul>`,name:"path"},{anchor:"datasets.load_dataset_builder.name",description:"<strong>name</strong> (<code>str</code>, optional) &#x2014; Defining the name of the dataset configuration.",name:"name"},{anchor:"datasets.load_dataset_builder.data_dir",description:`<strong>data_dir</strong> (<code>str</code>, optional) &#x2014; Defining the data_dir of the dataset configuration. If specified for the generic builders (csv, text etc.) or the Hub datasets and <em>data_files</em> is None,
the behavior is equal to passing <em>os.path.join(data_dir, **)</em> as <em>data_files</em> to reference all the files in a directory.`,name:"data_dir"},{anchor:"datasets.load_dataset_builder.data_files",description:"<strong>data_files</strong> (<code>str</code> or <code>Sequence</code> or <code>Mapping</code>, optional) &#x2014; Path(s) to source data file(s).",name:"data_files"},{anchor:"datasets.load_dataset_builder.cache_dir",description:"<strong>cache_dir</strong> (<code>str</code>, optional) &#x2014; Directory to read/write data. Defaults to &#x201D;~/.cache/huggingface/datasets&#x201D;.",name:"cache_dir"},{anchor:"datasets.load_dataset_builder.features",description:'<strong>features</strong> (<a href="/docs/datasets/main/en/package_reference/main_classes#datasets.Features">Features</a>, optional) &#x2014; Set the features type to use for this dataset.',name:"features"},{anchor:"datasets.load_dataset_builder.download_config",description:'<strong>download_config</strong> (<a href="/docs/datasets/main/en/package_reference/builder_classes#datasets.DownloadConfig">DownloadConfig</a>, optional) &#x2014; Specific download configuration parameters.',name:"download_config"},{anchor:"datasets.load_dataset_builder.download_mode",description:'<strong>download_mode</strong> (<a href="/docs/datasets/main/en/package_reference/builder_classes#datasets.DownloadMode">DownloadMode</a>, default <code>REUSE_DATASET_IF_EXISTS</code>) &#x2014; Download/generate mode.',name:"download_mode"},{anchor:"datasets.load_dataset_builder.revision",description:`<strong>revision</strong> (<a href="/docs/datasets/main/en/package_reference/builder_classes#datasets.Version">Version</a> or <code>str</code>, optional) &#x2014; Version of the dataset script to load.
As datasets have their own git repository on the Datasets Hub, the default version &#x201C;main&#x201D; corresponds to their &#x201C;main&#x201D; branch.
You can specify a different version than the default &#x201C;main&#x201D; by using a commit SHA or a git tag of the dataset repository.`,name:"revision"},{anchor:"datasets.load_dataset_builder.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <code>bool</code>, optional) &#x2014; Optional string or boolean to use as Bearer token for remote files on the Datasets Hub.
If True, or not specified, will get token from <em>&#x201D;~/.huggingface&#x201D;</em>.`,name:"use_auth_token"},{anchor:"datasets.load_dataset_builder.*config_kwargs",description:`*<strong>*config_kwargs</strong> (additional keyword arguments) &#x2014; Keyword arguments to be passed to the <a href="/docs/datasets/main/en/package_reference/builder_classes#datasets.BuilderConfig">BuilderConfig</a>
and used in the <a href="/docs/datasets/main/en/package_reference/builder_classes#datasets.DatasetBuilder">DatasetBuilder</a>.`,name:"*config_kwargs"}],source:"https://github.com/huggingface/datasets/blob/main/src/datasets/load.py#L1400",returnType:`
<p><a
  href="/docs/datasets/main/en/package_reference/builder_classes#datasets.DatasetBuilder"
>DatasetBuilder</a></p>
`}}),Ne=new U({props:{anchor:"datasets.load_dataset_builder.example",$$slots:{default:[td]},$$scope:{ctx:j}}}),ft=new T({props:{name:"datasets.get_dataset_config_names",anchor:"datasets.get_dataset_config_names",parameters:[{name:"path",val:": str"},{name:"revision",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = None"},{name:"download_config",val:": typing.Optional[datasets.download.download_config.DownloadConfig] = None"},{name:"download_mode",val:": typing.Optional[datasets.download.download_manager.DownloadMode] = None"},{name:"dynamic_modules_path",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Union[str, typing.List, typing.Dict, NoneType] = None"},{name:"**download_kwargs",val:""}],parametersDescription:[{anchor:"datasets.get_dataset_config_names.path",description:`<strong>path</strong> (<code>str</code>) &#x2014; path to the dataset processing script with the dataset builder. Can be either:</p>
<ul>
<li>a local path to processing script or the directory containing the script (if the script has the same name as the directory),
e.g. <code>&apos;./dataset/squad&apos;</code> or <code>&apos;./dataset/squad/squad.py&apos;</code></li>
<li>a dataset identifier on the Hugging Face Hub (list all available datasets and ids with <code>datasets.list_datasets()</code>)
e.g. <code>&apos;squad&apos;</code>, <code>&apos;glue&apos;</code> or <code>&apos;openai/webtext&apos;</code></li>
</ul>`,name:"path"},{anchor:"datasets.get_dataset_config_names.revision",description:`<strong>revision</strong> (Optional <code>Union[str, datasets.Version]</code>) &#x2014;
If specified, the dataset module will be loaded from the datasets repository at this version.
By default:</p>
<ul>
<li>it is set to the local version of the lib.</li>
<li>it will also try to load it from the main branch if it&#x2019;s not available at the local version of the lib.
Specifying a version that is different from your local version of the lib might cause compatibility issues.</li>
</ul>`,name:"revision"},{anchor:"datasets.get_dataset_config_names.download_config",description:'<strong>download_config</strong> (<a href="/docs/datasets/main/en/package_reference/builder_classes#datasets.DownloadConfig">DownloadConfig</a>, optional) &#x2014; Specific download configuration parameters.',name:"download_config"},{anchor:"datasets.get_dataset_config_names.download_mode",description:'<strong>download_mode</strong> (<a href="/docs/datasets/main/en/package_reference/builder_classes#datasets.DownloadMode">DownloadMode</a>, default <code>REUSE_DATASET_IF_EXISTS</code>) &#x2014; Download/generate mode.',name:"download_mode"},{anchor:"datasets.get_dataset_config_names.dynamic_modules_path",description:`<strong>dynamic_modules_path</strong> (Optional str, defaults to HF_MODULES_CACHE / &#x201C;datasets_modules&#x201D;, i.e. ~/.cache/huggingface/modules/datasets_modules) &#x2014;
Optional path to the directory in which the dynamic modules are saved. It must have been initialized with <code>init_dynamic_modules</code>.
By default the datasets and metrics are stored inside the <em>datasets_modules</em> module.`,name:"dynamic_modules_path"},{anchor:"datasets.get_dataset_config_names.data_files",description:"<strong>data_files</strong> (<code>Union[Dict, List, str]</code>, optional) &#x2014; Defining the data_files of the dataset configuration.",name:"data_files"},{anchor:"datasets.get_dataset_config_names.*download_kwargs",description:`*<strong>*download_kwargs</strong> (additional keyword arguments) &#x2014; optional attributes for DownloadConfig() which will override the attributes in download_config if supplied,
for example <code>use_auth_token</code>`,name:"*download_kwargs"}],source:"https://github.com/huggingface/datasets/blob/main/src/datasets/inspect.py#L257"}}),je=new U({props:{anchor:"datasets.get_dataset_config_names.example",$$slots:{default:[ad]},$$scope:{ctx:j}}}),gt=new T({props:{name:"datasets.get_dataset_infos",anchor:"datasets.get_dataset_infos",parameters:[{name:"path",val:": str"},{name:"data_files",val:": typing.Union[str, typing.List, typing.Dict, NoneType] = None"},{name:"download_config",val:": typing.Optional[datasets.download.download_config.DownloadConfig] = None"},{name:"download_mode",val:": typing.Optional[datasets.download.download_manager.DownloadMode] = None"},{name:"revision",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = None"},{name:"use_auth_token",val:": typing.Union[str, bool, NoneType] = None"},{name:"**config_kwargs",val:""}],parametersDescription:[{anchor:"datasets.get_dataset_infos.path",description:`<strong>path</strong> (<code>str</code>) &#x2014; path to the dataset processing script with the dataset builder. Can be either:</p>
<ul>
<li>a local path to processing script or the directory containing the script (if the script has the same name as the directory),
e.g. <code>&apos;./dataset/squad&apos;</code> or <code>&apos;./dataset/squad/squad.py&apos;</code></li>
<li>a dataset identifier on the Hugging Face Hub (list all available datasets and ids with <code>datasets.list_datasets()</code>)
e.g. <code>&apos;squad&apos;</code>, <code>&apos;glue&apos;</code> or <code>&apos;openai/webtext&apos;</code></li>
</ul>`,name:"path"},{anchor:"datasets.get_dataset_infos.revision",description:`<strong>revision</strong> (Optional <code>Union[str, datasets.Version]</code>) &#x2014;
If specified, the dataset module will be loaded from the datasets repository at this version.
By default:</p>
<ul>
<li>it is set to the local version of the lib.</li>
<li>it will also try to load it from the main branch if it&#x2019;s not available at the local version of the lib.
Specifying a version that is different from your local version of the lib might cause compatibility issues.</li>
</ul>`,name:"revision"},{anchor:"datasets.get_dataset_infos.download_config",description:'<strong>download_config</strong> (<a href="/docs/datasets/main/en/package_reference/builder_classes#datasets.DownloadConfig">DownloadConfig</a>, optional) &#x2014; Specific download configuration parameters.',name:"download_config"},{anchor:"datasets.get_dataset_infos.download_mode",description:'<strong>download_mode</strong> (<a href="/docs/datasets/main/en/package_reference/builder_classes#datasets.DownloadMode">DownloadMode</a>, default <code>REUSE_DATASET_IF_EXISTS</code>) &#x2014; Download/generate mode.',name:"download_mode"},{anchor:"datasets.get_dataset_infos.data_files",description:"<strong>data_files</strong> (<code>Union[Dict, List, str]</code>, optional) &#x2014; Defining the data_files of the dataset configuration.",name:"data_files"},{anchor:"datasets.get_dataset_infos.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <code>bool</code>, optional) &#x2014; Optional string or boolean to use as Bearer token for remote files on the Datasets Hub.
If True, or not specified, will get token from <em>&#x201D;~/.huggingface&#x201D;</em>.`,name:"use_auth_token"},{anchor:"datasets.get_dataset_infos.*config_kwargs",description:"*<strong>*config_kwargs</strong> (additional keyword arguments) &#x2014; optional attributes for builder class which will override the attributes if supplied.",name:"*config_kwargs"}],source:"https://github.com/huggingface/datasets/blob/main/src/datasets/inspect.py#L195"}}),Ce=new U({props:{anchor:"datasets.get_dataset_infos.example",$$slots:{default:[sd]},$$scope:{ctx:j}}}),ht=new T({props:{name:"datasets.get_dataset_split_names",anchor:"datasets.get_dataset_split_names",parameters:[{name:"path",val:": str"},{name:"config_name",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Union[str, typing.Sequence[str], typing.Mapping[str, typing.Union[str, typing.Sequence[str]]], NoneType] = None"},{name:"download_config",val:": typing.Optional[datasets.download.download_config.DownloadConfig] = None"},{name:"download_mode",val:": typing.Optional[datasets.download.download_manager.DownloadMode] = None"},{name:"revision",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = None"},{name:"use_auth_token",val:": typing.Union[str, bool, NoneType] = None"},{name:"**config_kwargs",val:""}],parametersDescription:[{anchor:"datasets.get_dataset_split_names.path",description:`<strong>path</strong> (<code>str</code>) &#x2014; path to the dataset processing script with the dataset builder. Can be either:</p>
<ul>
<li>a local path to processing script or the directory containing the script (if the script has the same name as the directory),
e.g. <code>&apos;./dataset/squad&apos;</code> or <code>&apos;./dataset/squad/squad.py&apos;</code></li>
<li>a dataset identifier on the Hugging Face Hub (list all available datasets and ids with <code>datasets.list_datasets()</code>)
e.g. <code>&apos;squad&apos;</code>, <code>&apos;glue&apos;</code> or <code>&apos;openai/webtext&apos;</code></li>
</ul>`,name:"path"},{anchor:"datasets.get_dataset_split_names.config_name",description:"<strong>config_name</strong> (<code>str</code>, optional) &#x2014; Defining the name of the dataset configuration.",name:"config_name"},{anchor:"datasets.get_dataset_split_names.data_files",description:"<strong>data_files</strong> (<code>str</code> or <code>Sequence</code> or <code>Mapping</code>, optional) &#x2014; Path(s) to source data file(s).",name:"data_files"},{anchor:"datasets.get_dataset_split_names.download_config",description:'<strong>download_config</strong> (<a href="/docs/datasets/main/en/package_reference/builder_classes#datasets.DownloadConfig">DownloadConfig</a>, optional) &#x2014; Specific download configuration parameters.',name:"download_config"},{anchor:"datasets.get_dataset_split_names.download_mode",description:'<strong>download_mode</strong> (<a href="/docs/datasets/main/en/package_reference/builder_classes#datasets.DownloadMode">DownloadMode</a>, default <code>REUSE_DATASET_IF_EXISTS</code>) &#x2014; Download/generate mode.',name:"download_mode"},{anchor:"datasets.get_dataset_split_names.revision",description:`<strong>revision</strong> (<a href="/docs/datasets/main/en/package_reference/builder_classes#datasets.Version">Version</a> or <code>str</code>, optional) &#x2014; Version of the dataset script to load.
As datasets have their own git repository on the Datasets Hub, the default version &#x201C;main&#x201D; corresponds to their &#x201C;main&#x201D; branch.
You can specify a different version than the default &#x201C;main&#x201D; by using a commit SHA or a git tag of the dataset repository.`,name:"revision"},{anchor:"datasets.get_dataset_split_names.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <code>bool</code>, optional) &#x2014; Optional string or boolean to use as Bearer token for remote files on the Datasets Hub.
If True, or not specified, will get token from <em>&#x201D;~/.huggingface&#x201D;</em>.`,name:"use_auth_token"},{anchor:"datasets.get_dataset_split_names.*config_kwargs",description:"*<strong>*config_kwargs</strong> (additional keyword arguments) &#x2014; optional attributes for builder class which will override the attributes if supplied.",name:"*config_kwargs"}],source:"https://github.com/huggingface/datasets/blob/main/src/datasets/inspect.py#L383"}}),Se=new U({props:{anchor:"datasets.get_dataset_split_names.example",$$slots:{default:[od]},$$scope:{ctx:j}}}),ut=new T({props:{name:"datasets.inspect_dataset",anchor:"datasets.inspect_dataset",parameters:[{name:"path",val:": str"},{name:"local_path",val:": str"},{name:"download_config",val:": typing.Optional[datasets.download.download_config.DownloadConfig] = None"},{name:"**download_kwargs",val:""}],parametersDescription:[{anchor:"datasets.inspect_dataset.path",description:`<strong>path</strong> (<em>str</em>) &#x2014; Path to the dataset processing script with the dataset builder. Can be either:</p>
<ul>
<li>a local path to processing script or the directory containing the script (if the script has the same name
as the directory),
e.g. <code>&apos;./dataset/squad&apos;</code> or <code>&apos;./dataset/squad/squad.py&apos;</code>.</li>
<li>a dataset identifier on the Hugging Face Hub (list all available datasets and ids with [<em>list_datasets</em>])
e.g. <code>&apos;squad&apos;</code>, <code>&apos;glue&apos;</code> or <code>&apos;openai/webtext&apos;</code>.</li>
</ul>`,name:"path"},{anchor:"datasets.inspect_dataset.local_path",description:"<strong>local_path</strong> (<em>str</em>) &#x2014; Path to the local folder to copy the dataset script to.",name:"local_path"},{anchor:"datasets.inspect_dataset.download_config",description:"<strong>download_config</strong> ([<em>DownloadConfig</em>], <em>optional</em>) &#x2014; Specific download configuration parameters.",name:"download_config"},{anchor:"datasets.inspect_dataset.*download_kwargs",description:`*<strong>*download_kwargs</strong> (additional keyword arguments) &#x2014; Optional arguments for [<em>DownloadConfig</em>] which will override
the attributes of <em>download_config</em> if supplied.`,name:"*download_kwargs"}],source:"https://github.com/huggingface/datasets/blob/main/src/datasets/inspect.py#L113"}}),_t=new Q({}),qe=new Gl({props:{warning:!0,$$slots:{default:[nd]},$$scope:{ctx:j}}}),vt=new T({props:{name:"datasets.list_metrics",anchor:"datasets.list_metrics",parameters:[{name:"with_community_metrics",val:" = True"},{name:"with_details",val:" = False"}],parametersDescription:[{anchor:"datasets.list_metrics.with_community_metrics",description:"<strong>with_community_metrics</strong> (<code>bool</code>, optional, default <code>True</code>) &#x2014; Include the community provided metrics.",name:"with_community_metrics"},{anchor:"datasets.list_metrics.with_details",description:"<strong>with_details</strong> (<code>bool</code>, optional, default <code>False</code>) &#x2014; Return the full details on the metrics instead of only the short name.",name:"with_details"}],source:"https://github.com/huggingface/datasets/blob/main/src/datasets/inspect.py#L74"}}),Fe=new bi({props:{version:"2.5.0",$$slots:{default:[rd]},$$scope:{ctx:j}}}),Te=new U({props:{anchor:"datasets.list_metrics.example",$$slots:{default:[id]},$$scope:{ctx:j}}}),$t=new T({props:{name:"datasets.load_metric",anchor:"datasets.load_metric",parameters:[{name:"path",val:": str"},{name:"config_name",val:": typing.Optional[str] = None"},{name:"process_id",val:": int = 0"},{name:"num_process",val:": int = 1"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"experiment_id",val:": typing.Optional[str] = None"},{name:"keep_in_memory",val:": bool = False"},{name:"download_config",val:": typing.Optional[datasets.download.download_config.DownloadConfig] = None"},{name:"download_mode",val:": typing.Optional[datasets.download.download_manager.DownloadMode] = None"},{name:"revision",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = None"},{name:"**metric_init_kwargs",val:""}],parametersDescription:[{anchor:"datasets.load_metric.path",description:`<strong>path</strong> (<code>str</code>) &#x2014;
path to the metric processing script with the metric builder. Can be either:<ul>
<li>a local path to processing script or the directory containing the script (if the script has the same name as the directory),
e.g. <code>&apos;./metrics/rouge&apos;</code> or <code>&apos;./metrics/rogue/rouge.py&apos;</code></li>
<li>a metric identifier on the HuggingFace datasets repo (list all available metrics with <code>datasets.list_metrics()</code>)
e.g. <code>&apos;rouge&apos;</code> or <code>&apos;bleu&apos;</code></li>
</ul>`,name:"path"},{anchor:"datasets.load_metric.config_name",description:"<strong>config_name</strong> (<code>str</code>, optional) &#x2014; selecting a configuration for the metric (e.g. the GLUE metric has a configuration for each subset)",name:"config_name"},{anchor:"datasets.load_metric.process_id",description:"<strong>process_id</strong> (<code>int</code>, optional) &#x2014; for distributed evaluation: id of the process",name:"process_id"},{anchor:"datasets.load_metric.num_process",description:"<strong>num_process</strong> (<code>int</code>, optional) &#x2014; for distributed evaluation: total number of processes",name:"num_process"},{anchor:"datasets.load_metric.cache_dir",description:"<strong>cache_dir</strong> (Optional str) &#x2014; path to store the temporary predictions and references (default to <em>~/.cache/huggingface/metrics/</em>)",name:"cache_dir"},{anchor:"datasets.load_metric.experiment_id",description:`<strong>experiment_id</strong> (<code>str</code>) &#x2014; A specific experiment id. This is used if several distributed evaluations share the same file system.
This is useful to compute metrics in distributed setups (in particular non-additive metrics like F1).`,name:"experiment_id"},{anchor:"datasets.load_metric.keep_in_memory",description:"<strong>keep_in_memory</strong> (bool) &#x2014; Whether to store the temporary results in memory (defaults to False)",name:"keep_in_memory"},{anchor:"datasets.load_metric.download_config",description:"<strong>download_config</strong> (Optional <code>datasets.DownloadConfig</code> &#x2014; specific download configuration parameters.",name:"download_config"},{anchor:"datasets.load_metric.download_mode",description:'<strong>download_mode</strong> (<a href="/docs/datasets/main/en/package_reference/builder_classes#datasets.DownloadMode">DownloadMode</a>, default <code>REUSE_DATASET_IF_EXISTS</code>) &#x2014; Download/generate mode.',name:"download_mode"},{anchor:"datasets.load_metric.revision",description:`<strong>revision</strong> (Optional <code>Union[str, datasets.Version]</code>) &#x2014; if specified, the module will be loaded from the datasets repository
at this version. By default, it is set to the local version of the lib. Specifying a version that is different from
your local version of the lib might cause compatibility issues.`,name:"revision"}],source:"https://github.com/huggingface/datasets/blob/main/src/datasets/load.py#L1320",returnDescription:`
<p><em>datasets.Metric</em></p>
`}}),Pe=new bi({props:{version:"2.5.0",$$slots:{default:[ld]},$$scope:{ctx:j}}}),Ie=new U({props:{anchor:"datasets.load_metric.example",$$slots:{default:[dd]},$$scope:{ctx:j}}}),bt=new T({props:{name:"datasets.inspect_metric",anchor:"datasets.inspect_metric",parameters:[{name:"path",val:": str"},{name:"local_path",val:": str"},{name:"download_config",val:": typing.Optional[datasets.download.download_config.DownloadConfig] = None"},{name:"**download_kwargs",val:""}],parametersDescription:[{anchor:"datasets.inspect_metric.path",description:`<strong>path</strong> (<code>str</code>) &#x2014; path to the dataset processing script with the dataset builder. Can be either:</p>
<ul>
<li>a local path to processing script or the directory containing the script (if the script has the same name as the directory),
e.g. <code>&apos;./dataset/squad&apos;</code> or <code>&apos;./dataset/squad/squad.py&apos;</code></li>
<li>a dataset identifier on the Hugging Face Hub (list all available datasets and ids with <code>datasets.list_datasets()</code>)
e.g. <code>&apos;squad&apos;</code>, <code>&apos;glue&apos;</code> or <code>&apos;openai/webtext&apos;</code></li>
</ul>`,name:"path"},{anchor:"datasets.inspect_metric.local_path",description:"<strong>local_path</strong> (<code>str</code>) &#x2014; path to the local folder to copy the datset script to.",name:"local_path"},{anchor:"datasets.inspect_metric.download_config",description:"<strong>download_config</strong> (Optional <code>datasets.DownloadConfig</code>) &#x2014; specific download configuration parameters.",name:"download_config"},{anchor:"datasets.inspect_metric.*download_kwargs",description:"*<strong>*download_kwargs</strong> (additional keyword arguments) &#x2014; optional attributes for DownloadConfig() which will override the attributes in download_config if supplied.",name:"*download_kwargs"}],source:"https://github.com/huggingface/datasets/blob/main/src/datasets/inspect.py#L151"}}),Ae=new bi({props:{version:"2.5.0",$$slots:{default:[cd]},$$scope:{ctx:j}}}),wt=new Q({}),xt=new L({props:{code:'load_dataset("csv", data_dir="path/to/data/dir", sep="\\t")',highlighted:'load_dataset(<span class="hljs-string">&quot;csv&quot;</span>, data_dir=<span class="hljs-string">&quot;path/to/data/dir&quot;</span>, sep=<span class="hljs-string">&quot;\\t&quot;</span>)'}}),kt=new Q({}),Et=new T({props:{name:"class datasets.packaged_modules.text.TextConfig",anchor:"datasets.packaged_modules.text.TextConfig",parameters:[{name:"name",val:": str = 'default'"},{name:"version",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = 0.0.0"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Optional[datasets.data_files.DataFilesDict] = None"},{name:"description",val:": typing.Optional[str] = None"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"},{name:"encoding",val:": str = 'utf-8'"},{name:"errors",val:": typing.Optional[str] = None"},{name:"chunksize",val:": int = 10485760"},{name:"keep_linebreaks",val:": bool = False"},{name:"sample_by",val:": str = 'line'"}],source:"https://github.com/huggingface/datasets/blob/main/src/datasets/packaged_modules/text/text.py#L17"}}),Dt=new Q({}),Nt=new T({props:{name:"class datasets.packaged_modules.csv.CsvConfig",anchor:"datasets.packaged_modules.csv.CsvConfig",parameters:[{name:"name",val:": str = 'default'"},{name:"version",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = 0.0.0"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Optional[datasets.data_files.DataFilesDict] = None"},{name:"description",val:": typing.Optional[str] = None"},{name:"sep",val:": str = ','"},{name:"delimiter",val:": typing.Optional[str] = None"},{name:"header",val:": typing.Union[int, typing.List[int], str, NoneType] = 'infer'"},{name:"names",val:": typing.Optional[typing.List[str]] = None"},{name:"column_names",val:": typing.Optional[typing.List[str]] = None"},{name:"index_col",val:": typing.Union[int, str, typing.List[int], typing.List[str], NoneType] = None"},{name:"usecols",val:": typing.Union[typing.List[int], typing.List[str], NoneType] = None"},{name:"prefix",val:": typing.Optional[str] = None"},{name:"mangle_dupe_cols",val:": bool = True"},{name:"engine",val:": typing.Optional[str] = None"},{name:"converters",val:": typing.Dict[typing.Union[int, str], typing.Callable[[typing.Any], typing.Any]] = None"},{name:"true_values",val:": typing.Optional[list] = None"},{name:"false_values",val:": typing.Optional[list] = None"},{name:"skipinitialspace",val:": bool = False"},{name:"skiprows",val:": typing.Union[int, typing.List[int], NoneType] = None"},{name:"nrows",val:": typing.Optional[int] = None"},{name:"na_values",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"keep_default_na",val:": bool = True"},{name:"na_filter",val:": bool = True"},{name:"verbose",val:": bool = False"},{name:"skip_blank_lines",val:": bool = True"},{name:"thousands",val:": typing.Optional[str] = None"},{name:"decimal",val:": str = '.'"},{name:"lineterminator",val:": typing.Optional[str] = None"},{name:"quotechar",val:`: str = '"'`},{name:"quoting",val:": int = 0"},{name:"escapechar",val:": typing.Optional[str] = None"},{name:"comment",val:": typing.Optional[str] = None"},{name:"encoding",val:": typing.Optional[str] = None"},{name:"dialect",val:": typing.Optional[str] = None"},{name:"error_bad_lines",val:": bool = True"},{name:"warn_bad_lines",val:": bool = True"},{name:"skipfooter",val:": int = 0"},{name:"doublequote",val:": bool = True"},{name:"memory_map",val:": bool = False"},{name:"float_precision",val:": typing.Optional[str] = None"},{name:"chunksize",val:": int = 10000"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"},{name:"encoding_errors",val:": typing.Optional[str] = 'strict'"},{name:"on_bad_lines",val:": typing.Literal['error', 'warn', 'skip'] = 'error'"}],source:"https://github.com/huggingface/datasets/blob/main/src/datasets/packaged_modules/csv/csv.py#L23"}}),jt=new Q({}),Ct=new T({props:{name:"class datasets.packaged_modules.json.JsonConfig",anchor:"datasets.packaged_modules.json.JsonConfig",parameters:[{name:"name",val:": str = 'default'"},{name:"version",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = 0.0.0"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Optional[datasets.data_files.DataFilesDict] = None"},{name:"description",val:": typing.Optional[str] = None"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"},{name:"field",val:": typing.Optional[str] = None"},{name:"use_threads",val:": bool = True"},{name:"block_size",val:": typing.Optional[int] = None"},{name:"chunksize",val:": int = 10485760"},{name:"newlines_in_values",val:": typing.Optional[bool] = None"}],source:"https://github.com/huggingface/datasets/blob/main/src/datasets/packaged_modules/json/json.py#L38"}}),St=new Q({}),Ot=new T({props:{name:"class datasets.packaged_modules.parquet.ParquetConfig",anchor:"datasets.packaged_modules.parquet.ParquetConfig",parameters:[{name:"name",val:": str = 'default'"},{name:"version",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = 0.0.0"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Optional[datasets.data_files.DataFilesDict] = None"},{name:"description",val:": typing.Optional[str] = None"},{name:"batch_size",val:": int = 10000"},{name:"columns",val:": typing.Optional[typing.List[str]] = None"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"}],source:"https://github.com/huggingface/datasets/blob/main/src/datasets/packaged_modules/parquet/parquet.py#L16"}}),qt=new Q({}),Ft=new T({props:{name:"class datasets.packaged_modules.sql.SqlConfig",anchor:"datasets.packaged_modules.sql.SqlConfig",parameters:[{name:"name",val:": str = 'default'"},{name:"version",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = 0.0.0"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Optional[datasets.data_files.DataFilesDict] = None"},{name:"description",val:": typing.Optional[str] = None"},{name:"sql",val:": typing.Union[str, ForwardRef('sqlalchemy.sql.Selectable')] = None"},{name:"con",val:": typing.Union[str, ForwardRef('sqlalchemy.engine.Connection'), ForwardRef('sqlalchemy.engine.Engine'), ForwardRef('sqlite3.Connection')] = None"},{name:"index_col",val:": typing.Union[str, typing.List[str], NoneType] = None"},{name:"coerce_float",val:": bool = True"},{name:"params",val:": typing.Union[typing.List, typing.Tuple, typing.Dict, NoneType] = None"},{name:"parse_dates",val:": typing.Union[typing.List, typing.Dict, NoneType] = None"},{name:"columns",val:": typing.Optional[typing.List[str]] = None"},{name:"chunksize",val:": typing.Optional[int] = 10000"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"}],source:"https://github.com/huggingface/datasets/blob/main/src/datasets/packaged_modules/sql/sql.py#L24"}}),Tt=new Q({}),Pt=new T({props:{name:"class datasets.packaged_modules.imagefolder.ImageFolderConfig",anchor:"datasets.packaged_modules.imagefolder.ImageFolderConfig",parameters:[{name:"name",val:": str = 'default'"},{name:"version",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = 0.0.0"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Optional[datasets.data_files.DataFilesDict] = None"},{name:"description",val:": typing.Optional[str] = None"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"},{name:"drop_labels",val:": bool = None"},{name:"drop_metadata",val:": bool = None"}],source:"https://github.com/huggingface/datasets/blob/main/src/datasets/packaged_modules/imagefolder/imagefolder.py#L12"}}),It=new Q({}),At=new T({props:{name:"class datasets.packaged_modules.audiofolder.AudioFolderConfig",anchor:"datasets.packaged_modules.audiofolder.AudioFolderConfig",parameters:[{name:"name",val:": str = 'default'"},{name:"version",val:": typing.Union[str, datasets.utils.version.Version, NoneType] = 0.0.0"},{name:"data_dir",val:": typing.Optional[str] = None"},{name:"data_files",val:": typing.Optional[datasets.data_files.DataFilesDict] = None"},{name:"description",val:": typing.Optional[str] = None"},{name:"features",val:": typing.Optional[datasets.features.features.Features] = None"},{name:"drop_labels",val:": bool = None"},{name:"drop_metadata",val:": bool = None"}],source:"https://github.com/huggingface/datasets/blob/main/src/datasets/packaged_modules/audiofolder/audiofolder.py#L12"}}),{c(){i=o("meta"),$=c(),h=o("h1"),m=o("a"),v=o("span"),b(s.$$.fragment),f=c(),N=o("span"),y=l("Loading methods"),S=c(),q=o("p"),Co=l("Methods for listing and loading datasets and metrics:"),ws=c(),W=o("h2"),ye=o("a"),ea=o("span"),b(Ke.$$.fragment),So=c(),ta=o("span"),Oo=l("Datasets"),xs=c(),M=o("div"),b(Ze.$$.fragment),qo=c(),aa=o("p"),Fo=l("List all the datasets scripts available on the Hugging Face Hub."),To=c(),b(be.$$.fragment),ks=c(),C=o("div"),b(et.$$.fragment),Po=c(),sa=o("p"),Io=l("Load a dataset from the Hugging Face Hub, or a local dataset."),Ao=c(),K=o("p"),Lo=l("You can find the list of datasets on the Hub at "),tt=o("a"),Ho=l("https://huggingface.co/datasets"),Uo=l(" or with "),oa=o("code"),Vo=l("datasets.list_datasets()"),Mo=l("."),Bo=c(),na=o("p"),Ro=l("A dataset is a directory that contains:"),Jo=c(),at=o("ul"),ra=o("li"),zo=l("some data files in generic formats (JSON, CSV, Parquet, text, etc.)"),Yo=c(),ia=o("li"),Go=l("and optionally a dataset script, if it requires some code to read the data files. This is used to load any kind of formats or structures."),Xo=c(),la=o("p"),Qo=l("Note that dataset scripts can also download and read data files from anywhere - in case your data files already exist online."),Wo=c(),da=o("p"),Ko=l("This function does the following under the hood:"),Zo=c(),Z=o("ol"),B=o("li"),st=o("p"),en=l("Download and import in the library the dataset script from "),ca=o("code"),tn=l("path"),an=l(" if it\u2019s not already cached inside the library."),sn=c(),pa=o("p"),on=l("If the dataset has no dataset script, then a generic dataset script is imported instead (JSON, CSV, Parquet, text, etc.)"),nn=c(),ma=o("p"),rn=l(`Dataset scripts are small python scripts that define dataset builders. They define the citation, info and format of the dataset,
contain the path or URL to the original data files and the code to load examples from the original data files.`),ln=c(),Ut=o("p"),dn=l("You can find the complete list of datasets in the Datasets Hub at "),ot=o("a"),cn=l("https://huggingface.co/datasets"),pn=c(),nt=o("li"),fa=o("p"),mn=l("Run the dataset script which will:"),fn=c(),rt=o("ul"),ga=o("li"),ha=o("p"),gn=l("Download the dataset file from the original URL (see the script) if it\u2019s not already available locally or cached."),hn=c(),it=o("li"),ua=o("p"),un=l("Process and cache the dataset in typed Arrow tables for caching."),_n=c(),_a=o("p"),vn=l(`Arrow table are arbitrarily long, typed tables which can store nested objects and be mapped to numpy/pandas/python generic types.
They can be directly accessed from disk, loaded in RAM or even streamed over the web.`),$n=c(),va=o("li"),lt=o("p"),yn=l("Return a dataset built from the requested splits in "),$a=o("code"),bn=l("split"),wn=l(" (default: all)."),xn=c(),ya=o("p"),kn=l(`It also allows to load a dataset from a local directory or a dataset repository on the Hugging Face Hub without dataset script.
In this case, it automatically loads all the data files from the directory or the dataset repository.`),En=c(),ba=o("p"),Dn=l("Example:"),Nn=c(),b(we.$$.fragment),jn=c(),b(xe.$$.fragment),Cn=c(),b(ke.$$.fragment),Sn=c(),b(Ee.$$.fragment),Es=c(),R=o("div"),b(dt.$$.fragment),On=c(),J=o("p"),qn=l("Loads a dataset that was previously saved using "),Vt=o("a"),Fn=l("Dataset.save_to_disk()"),Tn=l(` from a dataset directory, or
from a filesystem using either `),Mt=o("a"),Pn=l("datasets.filesystems.S3FileSystem"),In=l(` or any implementation of
`),wa=o("code"),An=l("fsspec.spec.AbstractFileSystem"),Ln=l("."),Hn=c(),b(De.$$.fragment),Ds=c(),F=o("div"),b(ct.$$.fragment),Un=c(),xa=o("p"),Vn=l(`Load a dataset builder from the Hugging Face Hub, or a local dataset. A dataset builder can be used to inspect general information that is required to build a dataset (cache directory, config, dataset info, etc.)
without downloading the dataset itself.`),Mn=c(),ee=o("p"),Bn=l("You can find the list of datasets on the Hub at "),pt=o("a"),Rn=l("https://huggingface.co/datasets"),Jn=l(" or with "),ka=o("code"),zn=l("datasets.list_datasets()"),Yn=l("."),Gn=c(),Ea=o("p"),Xn=l("A dataset is a directory that contains:"),Qn=c(),mt=o("ul"),Da=o("li"),Wn=l("some data files in generic formats (JSON, CSV, Parquet, text, etc.)"),Kn=c(),Na=o("li"),Zn=l("and optionally a dataset script, if it requires some code to read the data files. This is used to load any kind of formats or structures."),er=c(),ja=o("p"),tr=l("Note that dataset scripts can also download and read data files from anywhere - in case your data files already exist online."),ar=c(),b(Ne.$$.fragment),Ns=c(),z=o("div"),b(ft.$$.fragment),sr=c(),Ca=o("p"),or=l("Get the list of available config names for a particular dataset."),nr=c(),b(je.$$.fragment),js=c(),Y=o("div"),b(gt.$$.fragment),rr=c(),Sa=o("p"),ir=l("Get the meta information about a dataset, returned as a dict mapping config name to DatasetInfoDict."),lr=c(),b(Ce.$$.fragment),Cs=c(),G=o("div"),b(ht.$$.fragment),dr=c(),Oa=o("p"),cr=l("Get the list of available splits for a particular config and dataset."),pr=c(),b(Se.$$.fragment),Ss=c(),te=o("div"),b(ut.$$.fragment),mr=c(),qa=o("p"),fr=l("Allow inspection/modification of a dataset script by copying on local drive at local_path."),Os=c(),ae=o("h2"),Oe=o("a"),Fa=o("span"),b(_t.$$.fragment),gr=c(),Ta=o("span"),hr=l("Metrics"),qs=c(),b(qe.$$.fragment),Fs=c(),I=o("div"),b(vt.$$.fragment),ur=c(),Pa=o("p"),_r=l("List all the metrics script available on the Hugging Face Hub."),vr=c(),b(Fe.$$.fragment),$r=c(),b(Te.$$.fragment),Ts=c(),A=o("div"),b($t.$$.fragment),yr=c(),yt=o("p"),br=l("Load a "),Ia=o("em"),wr=l("datasets.Metric"),xr=l("."),kr=c(),b(Pe.$$.fragment),Er=c(),b(Ie.$$.fragment),Ps=c(),X=o("div"),b(bt.$$.fragment),Dr=c(),Aa=o("p"),Nr=l("Allow inspection/modification of a metric script by copying it on local drive at local_path."),jr=c(),b(Ae.$$.fragment),Is=c(),se=o("h2"),Le=o("a"),La=o("span"),b(wt.$$.fragment),Cr=c(),Ha=o("span"),Sr=l("From files"),As=c(),Bt=o("p"),Or=l(`Configurations used to load data files.
They are used when loading local files or a dataset repository:`),Ls=c(),He=o("ul"),Rt=o("li"),qr=l("local files: "),Ua=o("code"),Fr=l('load_dataset("parquet", data_dir="path/to/data/dir")'),Tr=c(),Jt=o("li"),Pr=l("dataset repository: "),Va=o("code"),Ir=l('load_dataset("allenai/c4")'),Hs=c(),H=o("p"),Ar=l("You can pass arguments to "),Ma=o("code"),Lr=l("load_dataset"),Hr=l(` to configure data loading.
For example you can specify the `),Ba=o("code"),Ur=l("sep"),Vr=l(" parameter to define the "),zt=o("a"),Mr=l("CsvConfig"),Br=l(" that is used to load the data:"),Us=c(),b(xt.$$.fragment),Vs=c(),oe=o("h3"),Ue=o("a"),Ra=o("span"),b(kt.$$.fragment),Rr=c(),Ja=o("span"),Jr=l("Text"),Ms=c(),ne=o("div"),b(Et.$$.fragment),zr=c(),za=o("p"),Yr=l("BuilderConfig for text files."),Bs=c(),re=o("h3"),Ve=o("a"),Ya=o("span"),b(Dt.$$.fragment),Gr=c(),Ga=o("span"),Xr=l("CSV"),Rs=c(),ie=o("div"),b(Nt.$$.fragment),Qr=c(),Xa=o("p"),Wr=l("BuilderConfig for CSV."),Js=c(),le=o("h3"),Me=o("a"),Qa=o("span"),b(jt.$$.fragment),Kr=c(),Wa=o("span"),Zr=l("JSON"),zs=c(),de=o("div"),b(Ct.$$.fragment),ei=c(),Ka=o("p"),ti=l("BuilderConfig for JSON."),Ys=c(),ce=o("h3"),Be=o("a"),Za=o("span"),b(St.$$.fragment),ai=c(),es=o("span"),si=l("Parquet"),Gs=c(),pe=o("div"),b(Ot.$$.fragment),oi=c(),ts=o("p"),ni=l("BuilderConfig for Parquet."),Xs=c(),me=o("h3"),Re=o("a"),as=o("span"),b(qt.$$.fragment),ri=c(),ss=o("span"),ii=l("SQL"),Qs=c(),fe=o("div"),b(Ft.$$.fragment),li=c(),os=o("p"),di=l("BuilderConfig for SQL."),Ws=c(),ge=o("h3"),Je=o("a"),ns=o("span"),b(Tt.$$.fragment),ci=c(),rs=o("span"),pi=l("Images"),Ks=c(),he=o("div"),b(Pt.$$.fragment),mi=c(),is=o("p"),fi=l("BuilderConfig for ImageFolder."),Zs=c(),ue=o("h3"),ze=o("a"),ls=o("span"),b(It.$$.fragment),gi=c(),ds=o("span"),hi=l("Audio"),eo=c(),_e=o("div"),b(At.$$.fragment),ui=c(),cs=o("p"),_i=l("Builder Config for AudioFolder."),this.h()},l(e){const g=zl('[data-svelte="svelte-1phssyn"]',document.head);i=n(g,"META",{name:!0,content:!0}),g.forEach(a),$=p(e),h=n(e,"H1",{class:!0});var Lt=r(h);m=n(Lt,"A",{id:!0,class:!0,href:!0});var ps=r(m);v=n(ps,"SPAN",{});var ms=r(v);w(s.$$.fragment,ms),ms.forEach(a),ps.forEach(a),f=p(Lt),N=n(Lt,"SPAN",{});var fs=r(N);y=d(fs,"Loading methods"),fs.forEach(a),Lt.forEach(a),S=p(e),q=n(e,"P",{});var gs=r(q);Co=d(gs,"Methods for listing and loading datasets and metrics:"),gs.forEach(a),ws=p(e),W=n(e,"H2",{class:!0});var Ht=r(W);ye=n(Ht,"A",{id:!0,class:!0,href:!0});var hs=r(ye);ea=n(hs,"SPAN",{});var us=r(ea);w(Ke.$$.fragment,us),us.forEach(a),hs.forEach(a),So=p(Ht),ta=n(Ht,"SPAN",{});var _s=r(ta);Oo=d(_s,"Datasets"),_s.forEach(a),Ht.forEach(a),xs=p(e),M=n(e,"DIV",{class:!0});var ve=r(M);w(Ze.$$.fragment,ve),qo=p(ve),aa=n(ve,"P",{});var vs=r(aa);Fo=d(vs,"List all the datasets scripts available on the Hugging Face Hub."),vs.forEach(a),To=p(ve),w(be.$$.fragment,ve),ve.forEach(a),ks=p(e),C=n(e,"DIV",{class:!0});var O=r(C);w(et.$$.fragment,O),Po=p(O),sa=n(O,"P",{});var $s=r(sa);Io=d($s,"Load a dataset from the Hugging Face Hub, or a local dataset."),$s.forEach(a),Ao=p(O),K=n(O,"P",{});var $e=r(K);Lo=d($e,"You can find the list of datasets on the Hub at "),tt=n($e,"A",{href:!0,rel:!0});var ys=r(tt);Ho=d(ys,"https://huggingface.co/datasets"),ys.forEach(a),Uo=d($e," or with "),oa=n($e,"CODE",{});var bs=r(oa);Vo=d(bs,"datasets.list_datasets()"),bs.forEach(a),Mo=d($e,"."),$e.forEach(a),Bo=p(O),na=n(O,"P",{});var wi=r(na);Ro=d(wi,"A dataset is a directory that contains:"),wi.forEach(a),Jo=p(O),at=n(O,"UL",{});var ao=r(at);ra=n(ao,"LI",{});var xi=r(ra);zo=d(xi,"some data files in generic formats (JSON, CSV, Parquet, text, etc.)"),xi.forEach(a),Yo=p(ao),ia=n(ao,"LI",{});var ki=r(ia);Go=d(ki,"and optionally a dataset script, if it requires some code to read the data files. This is used to load any kind of formats or structures."),ki.forEach(a),ao.forEach(a),Xo=p(O),la=n(O,"P",{});var Ei=r(la);Qo=d(Ei,"Note that dataset scripts can also download and read data files from anywhere - in case your data files already exist online."),Ei.forEach(a),Wo=p(O),da=n(O,"P",{});var Di=r(da);Ko=d(Di,"This function does the following under the hood:"),Di.forEach(a),Zo=p(O),Z=n(O,"OL",{});var Yt=r(Z);B=n(Yt,"LI",{});var Ye=r(B);st=n(Ye,"P",{});var so=r(st);en=d(so,"Download and import in the library the dataset script from "),ca=n(so,"CODE",{});var Ni=r(ca);tn=d(Ni,"path"),Ni.forEach(a),an=d(so," if it\u2019s not already cached inside the library."),so.forEach(a),sn=p(Ye),pa=n(Ye,"P",{});var ji=r(pa);on=d(ji,"If the dataset has no dataset script, then a generic dataset script is imported instead (JSON, CSV, Parquet, text, etc.)"),ji.forEach(a),nn=p(Ye),ma=n(Ye,"P",{});var Ci=r(ma);rn=d(Ci,`Dataset scripts are small python scripts that define dataset builders. They define the citation, info and format of the dataset,
contain the path or URL to the original data files and the code to load examples from the original data files.`),Ci.forEach(a),ln=p(Ye),Ut=n(Ye,"P",{});var vi=r(Ut);dn=d(vi,"You can find the complete list of datasets in the Datasets Hub at "),ot=n(vi,"A",{href:!0,rel:!0});var Si=r(ot);cn=d(Si,"https://huggingface.co/datasets"),Si.forEach(a),vi.forEach(a),Ye.forEach(a),pn=p(Yt),nt=n(Yt,"LI",{});var oo=r(nt);fa=n(oo,"P",{});var Oi=r(fa);mn=d(Oi,"Run the dataset script which will:"),Oi.forEach(a),fn=p(oo),rt=n(oo,"UL",{});var no=r(rt);ga=n(no,"LI",{});var qi=r(ga);ha=n(qi,"P",{});var Fi=r(ha);gn=d(Fi,"Download the dataset file from the original URL (see the script) if it\u2019s not already available locally or cached."),Fi.forEach(a),qi.forEach(a),hn=p(no),it=n(no,"LI",{});var ro=r(it);ua=n(ro,"P",{});var Ti=r(ua);un=d(Ti,"Process and cache the dataset in typed Arrow tables for caching."),Ti.forEach(a),_n=p(ro),_a=n(ro,"P",{});var Pi=r(_a);vn=d(Pi,`Arrow table are arbitrarily long, typed tables which can store nested objects and be mapped to numpy/pandas/python generic types.
They can be directly accessed from disk, loaded in RAM or even streamed over the web.`),Pi.forEach(a),ro.forEach(a),no.forEach(a),oo.forEach(a),$n=p(Yt),va=n(Yt,"LI",{});var Ii=r(va);lt=n(Ii,"P",{});var io=r(lt);yn=d(io,"Return a dataset built from the requested splits in "),$a=n(io,"CODE",{});var Ai=r($a);bn=d(Ai,"split"),Ai.forEach(a),wn=d(io," (default: all)."),io.forEach(a),Ii.forEach(a),Yt.forEach(a),xn=p(O),ya=n(O,"P",{});var Li=r(ya);kn=d(Li,`It also allows to load a dataset from a local directory or a dataset repository on the Hugging Face Hub without dataset script.
In this case, it automatically loads all the data files from the directory or the dataset repository.`),Li.forEach(a),En=p(O),ba=n(O,"P",{});var Hi=r(ba);Dn=d(Hi,"Example:"),Hi.forEach(a),Nn=p(O),w(we.$$.fragment,O),jn=p(O),w(xe.$$.fragment,O),Cn=p(O),w(ke.$$.fragment,O),Sn=p(O),w(Ee.$$.fragment,O),O.forEach(a),Es=p(e),R=n(e,"DIV",{class:!0});var Gt=r(R);w(dt.$$.fragment,Gt),On=p(Gt),J=n(Gt,"P",{});var Ge=r(J);qn=d(Ge,"Loads a dataset that was previously saved using "),Vt=n(Ge,"A",{href:!0});var Ui=r(Vt);Fn=d(Ui,"Dataset.save_to_disk()"),Ui.forEach(a),Tn=d(Ge,` from a dataset directory, or
from a filesystem using either `),Mt=n(Ge,"A",{href:!0});var Vi=r(Mt);Pn=d(Vi,"datasets.filesystems.S3FileSystem"),Vi.forEach(a),In=d(Ge,` or any implementation of
`),wa=n(Ge,"CODE",{});var Mi=r(wa);An=d(Mi,"fsspec.spec.AbstractFileSystem"),Mi.forEach(a),Ln=d(Ge,"."),Ge.forEach(a),Hn=p(Gt),w(De.$$.fragment,Gt),Gt.forEach(a),Ds=p(e),F=n(e,"DIV",{class:!0});var P=r(F);w(ct.$$.fragment,P),Un=p(P),xa=n(P,"P",{});var Bi=r(xa);Vn=d(Bi,`Load a dataset builder from the Hugging Face Hub, or a local dataset. A dataset builder can be used to inspect general information that is required to build a dataset (cache directory, config, dataset info, etc.)
without downloading the dataset itself.`),Bi.forEach(a),Mn=p(P),ee=n(P,"P",{});var Xt=r(ee);Bn=d(Xt,"You can find the list of datasets on the Hub at "),pt=n(Xt,"A",{href:!0,rel:!0});var Ri=r(pt);Rn=d(Ri,"https://huggingface.co/datasets"),Ri.forEach(a),Jn=d(Xt," or with "),ka=n(Xt,"CODE",{});var Ji=r(ka);zn=d(Ji,"datasets.list_datasets()"),Ji.forEach(a),Yn=d(Xt,"."),Xt.forEach(a),Gn=p(P),Ea=n(P,"P",{});var zi=r(Ea);Xn=d(zi,"A dataset is a directory that contains:"),zi.forEach(a),Qn=p(P),mt=n(P,"UL",{});var lo=r(mt);Da=n(lo,"LI",{});var Yi=r(Da);Wn=d(Yi,"some data files in generic formats (JSON, CSV, Parquet, text, etc.)"),Yi.forEach(a),Kn=p(lo),Na=n(lo,"LI",{});var Gi=r(Na);Zn=d(Gi,"and optionally a dataset script, if it requires some code to read the data files. This is used to load any kind of formats or structures."),Gi.forEach(a),lo.forEach(a),er=p(P),ja=n(P,"P",{});var Xi=r(ja);tr=d(Xi,"Note that dataset scripts can also download and read data files from anywhere - in case your data files already exist online."),Xi.forEach(a),ar=p(P),w(Ne.$$.fragment,P),P.forEach(a),Ns=p(e),z=n(e,"DIV",{class:!0});var Qt=r(z);w(ft.$$.fragment,Qt),sr=p(Qt),Ca=n(Qt,"P",{});var Qi=r(Ca);or=d(Qi,"Get the list of available config names for a particular dataset."),Qi.forEach(a),nr=p(Qt),w(je.$$.fragment,Qt),Qt.forEach(a),js=p(e),Y=n(e,"DIV",{class:!0});var Wt=r(Y);w(gt.$$.fragment,Wt),rr=p(Wt),Sa=n(Wt,"P",{});var Wi=r(Sa);ir=d(Wi,"Get the meta information about a dataset, returned as a dict mapping config name to DatasetInfoDict."),Wi.forEach(a),lr=p(Wt),w(Ce.$$.fragment,Wt),Wt.forEach(a),Cs=p(e),G=n(e,"DIV",{class:!0});var Kt=r(G);w(ht.$$.fragment,Kt),dr=p(Kt),Oa=n(Kt,"P",{});var Ki=r(Oa);cr=d(Ki,"Get the list of available splits for a particular config and dataset."),Ki.forEach(a),pr=p(Kt),w(Se.$$.fragment,Kt),Kt.forEach(a),Ss=p(e),te=n(e,"DIV",{class:!0});var co=r(te);w(ut.$$.fragment,co),mr=p(co),qa=n(co,"P",{});var Zi=r(qa);fr=d(Zi,"Allow inspection/modification of a dataset script by copying on local drive at local_path."),Zi.forEach(a),co.forEach(a),Os=p(e),ae=n(e,"H2",{class:!0});var po=r(ae);Oe=n(po,"A",{id:!0,class:!0,href:!0});var el=r(Oe);Fa=n(el,"SPAN",{});var tl=r(Fa);w(_t.$$.fragment,tl),tl.forEach(a),el.forEach(a),gr=p(po),Ta=n(po,"SPAN",{});var al=r(Ta);hr=d(al,"Metrics"),al.forEach(a),po.forEach(a),qs=p(e),w(qe.$$.fragment,e),Fs=p(e),I=n(e,"DIV",{class:!0});var Xe=r(I);w(vt.$$.fragment,Xe),ur=p(Xe),Pa=n(Xe,"P",{});var sl=r(Pa);_r=d(sl,"List all the metrics script available on the Hugging Face Hub."),sl.forEach(a),vr=p(Xe),w(Fe.$$.fragment,Xe),$r=p(Xe),w(Te.$$.fragment,Xe),Xe.forEach(a),Ts=p(e),A=n(e,"DIV",{class:!0});var Qe=r(A);w($t.$$.fragment,Qe),yr=p(Qe),yt=n(Qe,"P",{});var mo=r(yt);br=d(mo,"Load a "),Ia=n(mo,"EM",{});var ol=r(Ia);wr=d(ol,"datasets.Metric"),ol.forEach(a),xr=d(mo,"."),mo.forEach(a),kr=p(Qe),w(Pe.$$.fragment,Qe),Er=p(Qe),w(Ie.$$.fragment,Qe),Qe.forEach(a),Ps=p(e),X=n(e,"DIV",{class:!0});var Zt=r(X);w(bt.$$.fragment,Zt),Dr=p(Zt),Aa=n(Zt,"P",{});var nl=r(Aa);Nr=d(nl,"Allow inspection/modification of a metric script by copying it on local drive at local_path."),nl.forEach(a),jr=p(Zt),w(Ae.$$.fragment,Zt),Zt.forEach(a),Is=p(e),se=n(e,"H2",{class:!0});var fo=r(se);Le=n(fo,"A",{id:!0,class:!0,href:!0});var rl=r(Le);La=n(rl,"SPAN",{});var il=r(La);w(wt.$$.fragment,il),il.forEach(a),rl.forEach(a),Cr=p(fo),Ha=n(fo,"SPAN",{});var ll=r(Ha);Sr=d(ll,"From files"),ll.forEach(a),fo.forEach(a),As=p(e),Bt=n(e,"P",{});var dl=r(Bt);Or=d(dl,`Configurations used to load data files.
They are used when loading local files or a dataset repository:`),dl.forEach(a),Ls=p(e),He=n(e,"UL",{});var go=r(He);Rt=n(go,"LI",{});var $i=r(Rt);qr=d($i,"local files: "),Ua=n($i,"CODE",{});var cl=r(Ua);Fr=d(cl,'load_dataset("parquet", data_dir="path/to/data/dir")'),cl.forEach(a),$i.forEach(a),Tr=p(go),Jt=n(go,"LI",{});var yi=r(Jt);Pr=d(yi,"dataset repository: "),Va=n(yi,"CODE",{});var pl=r(Va);Ir=d(pl,'load_dataset("allenai/c4")'),pl.forEach(a),yi.forEach(a),go.forEach(a),Hs=p(e),H=n(e,"P",{});var We=r(H);Ar=d(We,"You can pass arguments to "),Ma=n(We,"CODE",{});var ml=r(Ma);Lr=d(ml,"load_dataset"),ml.forEach(a),Hr=d(We,` to configure data loading.
For example you can specify the `),Ba=n(We,"CODE",{});var fl=r(Ba);Ur=d(fl,"sep"),fl.forEach(a),Vr=d(We," parameter to define the "),zt=n(We,"A",{href:!0});var gl=r(zt);Mr=d(gl,"CsvConfig"),gl.forEach(a),Br=d(We," that is used to load the data:"),We.forEach(a),Us=p(e),w(xt.$$.fragment,e),Vs=p(e),oe=n(e,"H3",{class:!0});var ho=r(oe);Ue=n(ho,"A",{id:!0,class:!0,href:!0});var hl=r(Ue);Ra=n(hl,"SPAN",{});var ul=r(Ra);w(kt.$$.fragment,ul),ul.forEach(a),hl.forEach(a),Rr=p(ho),Ja=n(ho,"SPAN",{});var _l=r(Ja);Jr=d(_l,"Text"),_l.forEach(a),ho.forEach(a),Ms=p(e),ne=n(e,"DIV",{class:!0});var uo=r(ne);w(Et.$$.fragment,uo),zr=p(uo),za=n(uo,"P",{});var vl=r(za);Yr=d(vl,"BuilderConfig for text files."),vl.forEach(a),uo.forEach(a),Bs=p(e),re=n(e,"H3",{class:!0});var _o=r(re);Ve=n(_o,"A",{id:!0,class:!0,href:!0});var $l=r(Ve);Ya=n($l,"SPAN",{});var yl=r(Ya);w(Dt.$$.fragment,yl),yl.forEach(a),$l.forEach(a),Gr=p(_o),Ga=n(_o,"SPAN",{});var bl=r(Ga);Xr=d(bl,"CSV"),bl.forEach(a),_o.forEach(a),Rs=p(e),ie=n(e,"DIV",{class:!0});var vo=r(ie);w(Nt.$$.fragment,vo),Qr=p(vo),Xa=n(vo,"P",{});var wl=r(Xa);Wr=d(wl,"BuilderConfig for CSV."),wl.forEach(a),vo.forEach(a),Js=p(e),le=n(e,"H3",{class:!0});var $o=r(le);Me=n($o,"A",{id:!0,class:!0,href:!0});var xl=r(Me);Qa=n(xl,"SPAN",{});var kl=r(Qa);w(jt.$$.fragment,kl),kl.forEach(a),xl.forEach(a),Kr=p($o),Wa=n($o,"SPAN",{});var El=r(Wa);Zr=d(El,"JSON"),El.forEach(a),$o.forEach(a),zs=p(e),de=n(e,"DIV",{class:!0});var yo=r(de);w(Ct.$$.fragment,yo),ei=p(yo),Ka=n(yo,"P",{});var Dl=r(Ka);ti=d(Dl,"BuilderConfig for JSON."),Dl.forEach(a),yo.forEach(a),Ys=p(e),ce=n(e,"H3",{class:!0});var bo=r(ce);Be=n(bo,"A",{id:!0,class:!0,href:!0});var Nl=r(Be);Za=n(Nl,"SPAN",{});var jl=r(Za);w(St.$$.fragment,jl),jl.forEach(a),Nl.forEach(a),ai=p(bo),es=n(bo,"SPAN",{});var Cl=r(es);si=d(Cl,"Parquet"),Cl.forEach(a),bo.forEach(a),Gs=p(e),pe=n(e,"DIV",{class:!0});var wo=r(pe);w(Ot.$$.fragment,wo),oi=p(wo),ts=n(wo,"P",{});var Sl=r(ts);ni=d(Sl,"BuilderConfig for Parquet."),Sl.forEach(a),wo.forEach(a),Xs=p(e),me=n(e,"H3",{class:!0});var xo=r(me);Re=n(xo,"A",{id:!0,class:!0,href:!0});var Ol=r(Re);as=n(Ol,"SPAN",{});var ql=r(as);w(qt.$$.fragment,ql),ql.forEach(a),Ol.forEach(a),ri=p(xo),ss=n(xo,"SPAN",{});var Fl=r(ss);ii=d(Fl,"SQL"),Fl.forEach(a),xo.forEach(a),Qs=p(e),fe=n(e,"DIV",{class:!0});var ko=r(fe);w(Ft.$$.fragment,ko),li=p(ko),os=n(ko,"P",{});var Tl=r(os);di=d(Tl,"BuilderConfig for SQL."),Tl.forEach(a),ko.forEach(a),Ws=p(e),ge=n(e,"H3",{class:!0});var Eo=r(ge);Je=n(Eo,"A",{id:!0,class:!0,href:!0});var Pl=r(Je);ns=n(Pl,"SPAN",{});var Il=r(ns);w(Tt.$$.fragment,Il),Il.forEach(a),Pl.forEach(a),ci=p(Eo),rs=n(Eo,"SPAN",{});var Al=r(rs);pi=d(Al,"Images"),Al.forEach(a),Eo.forEach(a),Ks=p(e),he=n(e,"DIV",{class:!0});var Do=r(he);w(Pt.$$.fragment,Do),mi=p(Do),is=n(Do,"P",{});var Ll=r(is);fi=d(Ll,"BuilderConfig for ImageFolder."),Ll.forEach(a),Do.forEach(a),Zs=p(e),ue=n(e,"H3",{class:!0});var No=r(ue);ze=n(No,"A",{id:!0,class:!0,href:!0});var Hl=r(ze);ls=n(Hl,"SPAN",{});var Ul=r(ls);w(It.$$.fragment,Ul),Ul.forEach(a),Hl.forEach(a),gi=p(No),ds=n(No,"SPAN",{});var Vl=r(ds);hi=d(Vl,"Audio"),Vl.forEach(a),No.forEach(a),eo=p(e),_e=n(e,"DIV",{class:!0});var jo=r(_e);w(At.$$.fragment,jo),ui=p(jo),cs=n(jo,"P",{});var Ml=r(cs);_i=d(Ml,"Builder Config for AudioFolder."),Ml.forEach(a),jo.forEach(a),this.h()},h(){_(i,"name","hf:doc:metadata"),_(i,"content",JSON.stringify(md)),_(m,"id","loading-methods"),_(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(m,"href","#loading-methods"),_(h,"class","relative group"),_(ye,"id","datasets.list_datasets"),_(ye,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(ye,"href","#datasets.list_datasets"),_(W,"class","relative group"),_(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(tt,"href","https://huggingface.co/datasets"),_(tt,"rel","nofollow"),_(ot,"href","https://huggingface.co/datasets"),_(ot,"rel","nofollow"),_(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Vt,"href","/docs/datasets/main/en/package_reference/main_classes#datasets.Dataset.save_to_disk"),_(Mt,"href","/docs/datasets/main/en/package_reference/main_classes#datasets.filesystems.S3FileSystem"),_(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(pt,"href","https://huggingface.co/datasets"),_(pt,"rel","nofollow"),_(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Oe,"id","datasets.list_metrics"),_(Oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(Oe,"href","#datasets.list_metrics"),_(ae,"class","relative group"),_(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Le,"id","from-files"),_(Le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(Le,"href","#from-files"),_(se,"class","relative group"),_(zt,"href","/docs/datasets/main/en/package_reference/loading_methods#datasets.packaged_modules.csv.CsvConfig"),_(Ue,"id","datasets.packaged_modules.text.TextConfig"),_(Ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(Ue,"href","#datasets.packaged_modules.text.TextConfig"),_(oe,"class","relative group"),_(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Ve,"id","datasets.packaged_modules.csv.CsvConfig"),_(Ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(Ve,"href","#datasets.packaged_modules.csv.CsvConfig"),_(re,"class","relative group"),_(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Me,"id","datasets.packaged_modules.json.JsonConfig"),_(Me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(Me,"href","#datasets.packaged_modules.json.JsonConfig"),_(le,"class","relative group"),_(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Be,"id","datasets.packaged_modules.parquet.ParquetConfig"),_(Be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(Be,"href","#datasets.packaged_modules.parquet.ParquetConfig"),_(ce,"class","relative group"),_(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Re,"id","datasets.packaged_modules.sql.SqlConfig"),_(Re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(Re,"href","#datasets.packaged_modules.sql.SqlConfig"),_(me,"class","relative group"),_(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(Je,"id","datasets.packaged_modules.imagefolder.ImageFolderConfig"),_(Je,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(Je,"href","#datasets.packaged_modules.imagefolder.ImageFolderConfig"),_(ge,"class","relative group"),_(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(ze,"id","datasets.packaged_modules.audiofolder.AudioFolderConfig"),_(ze,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),_(ze,"href","#datasets.packaged_modules.audiofolder.AudioFolderConfig"),_(ue,"class","relative group"),_(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,g){t(document.head,i),u(e,$,g),u(e,h,g),t(h,m),t(m,v),x(s,v,null),t(h,f),t(h,N),t(N,y),u(e,S,g),u(e,q,g),t(q,Co),u(e,ws,g),u(e,W,g),t(W,ye),t(ye,ea),x(Ke,ea,null),t(W,So),t(W,ta),t(ta,Oo),u(e,xs,g),u(e,M,g),x(Ze,M,null),t(M,qo),t(M,aa),t(aa,Fo),t(M,To),x(be,M,null),u(e,ks,g),u(e,C,g),x(et,C,null),t(C,Po),t(C,sa),t(sa,Io),t(C,Ao),t(C,K),t(K,Lo),t(K,tt),t(tt,Ho),t(K,Uo),t(K,oa),t(oa,Vo),t(K,Mo),t(C,Bo),t(C,na),t(na,Ro),t(C,Jo),t(C,at),t(at,ra),t(ra,zo),t(at,Yo),t(at,ia),t(ia,Go),t(C,Xo),t(C,la),t(la,Qo),t(C,Wo),t(C,da),t(da,Ko),t(C,Zo),t(C,Z),t(Z,B),t(B,st),t(st,en),t(st,ca),t(ca,tn),t(st,an),t(B,sn),t(B,pa),t(pa,on),t(B,nn),t(B,ma),t(ma,rn),t(B,ln),t(B,Ut),t(Ut,dn),t(Ut,ot),t(ot,cn),t(Z,pn),t(Z,nt),t(nt,fa),t(fa,mn),t(nt,fn),t(nt,rt),t(rt,ga),t(ga,ha),t(ha,gn),t(rt,hn),t(rt,it),t(it,ua),t(ua,un),t(it,_n),t(it,_a),t(_a,vn),t(Z,$n),t(Z,va),t(va,lt),t(lt,yn),t(lt,$a),t($a,bn),t(lt,wn),t(C,xn),t(C,ya),t(ya,kn),t(C,En),t(C,ba),t(ba,Dn),t(C,Nn),x(we,C,null),t(C,jn),x(xe,C,null),t(C,Cn),x(ke,C,null),t(C,Sn),x(Ee,C,null),u(e,Es,g),u(e,R,g),x(dt,R,null),t(R,On),t(R,J),t(J,qn),t(J,Vt),t(Vt,Fn),t(J,Tn),t(J,Mt),t(Mt,Pn),t(J,In),t(J,wa),t(wa,An),t(J,Ln),t(R,Hn),x(De,R,null),u(e,Ds,g),u(e,F,g),x(ct,F,null),t(F,Un),t(F,xa),t(xa,Vn),t(F,Mn),t(F,ee),t(ee,Bn),t(ee,pt),t(pt,Rn),t(ee,Jn),t(ee,ka),t(ka,zn),t(ee,Yn),t(F,Gn),t(F,Ea),t(Ea,Xn),t(F,Qn),t(F,mt),t(mt,Da),t(Da,Wn),t(mt,Kn),t(mt,Na),t(Na,Zn),t(F,er),t(F,ja),t(ja,tr),t(F,ar),x(Ne,F,null),u(e,Ns,g),u(e,z,g),x(ft,z,null),t(z,sr),t(z,Ca),t(Ca,or),t(z,nr),x(je,z,null),u(e,js,g),u(e,Y,g),x(gt,Y,null),t(Y,rr),t(Y,Sa),t(Sa,ir),t(Y,lr),x(Ce,Y,null),u(e,Cs,g),u(e,G,g),x(ht,G,null),t(G,dr),t(G,Oa),t(Oa,cr),t(G,pr),x(Se,G,null),u(e,Ss,g),u(e,te,g),x(ut,te,null),t(te,mr),t(te,qa),t(qa,fr),u(e,Os,g),u(e,ae,g),t(ae,Oe),t(Oe,Fa),x(_t,Fa,null),t(ae,gr),t(ae,Ta),t(Ta,hr),u(e,qs,g),x(qe,e,g),u(e,Fs,g),u(e,I,g),x(vt,I,null),t(I,ur),t(I,Pa),t(Pa,_r),t(I,vr),x(Fe,I,null),t(I,$r),x(Te,I,null),u(e,Ts,g),u(e,A,g),x($t,A,null),t(A,yr),t(A,yt),t(yt,br),t(yt,Ia),t(Ia,wr),t(yt,xr),t(A,kr),x(Pe,A,null),t(A,Er),x(Ie,A,null),u(e,Ps,g),u(e,X,g),x(bt,X,null),t(X,Dr),t(X,Aa),t(Aa,Nr),t(X,jr),x(Ae,X,null),u(e,Is,g),u(e,se,g),t(se,Le),t(Le,La),x(wt,La,null),t(se,Cr),t(se,Ha),t(Ha,Sr),u(e,As,g),u(e,Bt,g),t(Bt,Or),u(e,Ls,g),u(e,He,g),t(He,Rt),t(Rt,qr),t(Rt,Ua),t(Ua,Fr),t(He,Tr),t(He,Jt),t(Jt,Pr),t(Jt,Va),t(Va,Ir),u(e,Hs,g),u(e,H,g),t(H,Ar),t(H,Ma),t(Ma,Lr),t(H,Hr),t(H,Ba),t(Ba,Ur),t(H,Vr),t(H,zt),t(zt,Mr),t(H,Br),u(e,Us,g),x(xt,e,g),u(e,Vs,g),u(e,oe,g),t(oe,Ue),t(Ue,Ra),x(kt,Ra,null),t(oe,Rr),t(oe,Ja),t(Ja,Jr),u(e,Ms,g),u(e,ne,g),x(Et,ne,null),t(ne,zr),t(ne,za),t(za,Yr),u(e,Bs,g),u(e,re,g),t(re,Ve),t(Ve,Ya),x(Dt,Ya,null),t(re,Gr),t(re,Ga),t(Ga,Xr),u(e,Rs,g),u(e,ie,g),x(Nt,ie,null),t(ie,Qr),t(ie,Xa),t(Xa,Wr),u(e,Js,g),u(e,le,g),t(le,Me),t(Me,Qa),x(jt,Qa,null),t(le,Kr),t(le,Wa),t(Wa,Zr),u(e,zs,g),u(e,de,g),x(Ct,de,null),t(de,ei),t(de,Ka),t(Ka,ti),u(e,Ys,g),u(e,ce,g),t(ce,Be),t(Be,Za),x(St,Za,null),t(ce,ai),t(ce,es),t(es,si),u(e,Gs,g),u(e,pe,g),x(Ot,pe,null),t(pe,oi),t(pe,ts),t(ts,ni),u(e,Xs,g),u(e,me,g),t(me,Re),t(Re,as),x(qt,as,null),t(me,ri),t(me,ss),t(ss,ii),u(e,Qs,g),u(e,fe,g),x(Ft,fe,null),t(fe,li),t(fe,os),t(os,di),u(e,Ws,g),u(e,ge,g),t(ge,Je),t(Je,ns),x(Tt,ns,null),t(ge,ci),t(ge,rs),t(rs,pi),u(e,Ks,g),u(e,he,g),x(Pt,he,null),t(he,mi),t(he,is),t(is,fi),u(e,Zs,g),u(e,ue,g),t(ue,ze),t(ze,ls),x(It,ls,null),t(ue,gi),t(ue,ds),t(ds,hi),u(e,eo,g),u(e,_e,g),x(At,_e,null),t(_e,ui),t(_e,cs),t(cs,_i),to=!0},p(e,[g]){const Lt={};g&2&&(Lt.$$scope={dirty:g,ctx:e}),be.$set(Lt);const ps={};g&2&&(ps.$$scope={dirty:g,ctx:e}),we.$set(ps);const ms={};g&2&&(ms.$$scope={dirty:g,ctx:e}),xe.$set(ms);const fs={};g&2&&(fs.$$scope={dirty:g,ctx:e}),ke.$set(fs);const gs={};g&2&&(gs.$$scope={dirty:g,ctx:e}),Ee.$set(gs);const Ht={};g&2&&(Ht.$$scope={dirty:g,ctx:e}),De.$set(Ht);const hs={};g&2&&(hs.$$scope={dirty:g,ctx:e}),Ne.$set(hs);const us={};g&2&&(us.$$scope={dirty:g,ctx:e}),je.$set(us);const _s={};g&2&&(_s.$$scope={dirty:g,ctx:e}),Ce.$set(_s);const ve={};g&2&&(ve.$$scope={dirty:g,ctx:e}),Se.$set(ve);const vs={};g&2&&(vs.$$scope={dirty:g,ctx:e}),qe.$set(vs);const O={};g&2&&(O.$$scope={dirty:g,ctx:e}),Fe.$set(O);const $s={};g&2&&($s.$$scope={dirty:g,ctx:e}),Te.$set($s);const $e={};g&2&&($e.$$scope={dirty:g,ctx:e}),Pe.$set($e);const ys={};g&2&&(ys.$$scope={dirty:g,ctx:e}),Ie.$set(ys);const bs={};g&2&&(bs.$$scope={dirty:g,ctx:e}),Ae.$set(bs)},i(e){to||(k(s.$$.fragment,e),k(Ke.$$.fragment,e),k(Ze.$$.fragment,e),k(be.$$.fragment,e),k(et.$$.fragment,e),k(we.$$.fragment,e),k(xe.$$.fragment,e),k(ke.$$.fragment,e),k(Ee.$$.fragment,e),k(dt.$$.fragment,e),k(De.$$.fragment,e),k(ct.$$.fragment,e),k(Ne.$$.fragment,e),k(ft.$$.fragment,e),k(je.$$.fragment,e),k(gt.$$.fragment,e),k(Ce.$$.fragment,e),k(ht.$$.fragment,e),k(Se.$$.fragment,e),k(ut.$$.fragment,e),k(_t.$$.fragment,e),k(qe.$$.fragment,e),k(vt.$$.fragment,e),k(Fe.$$.fragment,e),k(Te.$$.fragment,e),k($t.$$.fragment,e),k(Pe.$$.fragment,e),k(Ie.$$.fragment,e),k(bt.$$.fragment,e),k(Ae.$$.fragment,e),k(wt.$$.fragment,e),k(xt.$$.fragment,e),k(kt.$$.fragment,e),k(Et.$$.fragment,e),k(Dt.$$.fragment,e),k(Nt.$$.fragment,e),k(jt.$$.fragment,e),k(Ct.$$.fragment,e),k(St.$$.fragment,e),k(Ot.$$.fragment,e),k(qt.$$.fragment,e),k(Ft.$$.fragment,e),k(Tt.$$.fragment,e),k(Pt.$$.fragment,e),k(It.$$.fragment,e),k(At.$$.fragment,e),to=!0)},o(e){E(s.$$.fragment,e),E(Ke.$$.fragment,e),E(Ze.$$.fragment,e),E(be.$$.fragment,e),E(et.$$.fragment,e),E(we.$$.fragment,e),E(xe.$$.fragment,e),E(ke.$$.fragment,e),E(Ee.$$.fragment,e),E(dt.$$.fragment,e),E(De.$$.fragment,e),E(ct.$$.fragment,e),E(Ne.$$.fragment,e),E(ft.$$.fragment,e),E(je.$$.fragment,e),E(gt.$$.fragment,e),E(Ce.$$.fragment,e),E(ht.$$.fragment,e),E(Se.$$.fragment,e),E(ut.$$.fragment,e),E(_t.$$.fragment,e),E(qe.$$.fragment,e),E(vt.$$.fragment,e),E(Fe.$$.fragment,e),E(Te.$$.fragment,e),E($t.$$.fragment,e),E(Pe.$$.fragment,e),E(Ie.$$.fragment,e),E(bt.$$.fragment,e),E(Ae.$$.fragment,e),E(wt.$$.fragment,e),E(xt.$$.fragment,e),E(kt.$$.fragment,e),E(Et.$$.fragment,e),E(Dt.$$.fragment,e),E(Nt.$$.fragment,e),E(jt.$$.fragment,e),E(Ct.$$.fragment,e),E(St.$$.fragment,e),E(Ot.$$.fragment,e),E(qt.$$.fragment,e),E(Ft.$$.fragment,e),E(Tt.$$.fragment,e),E(Pt.$$.fragment,e),E(It.$$.fragment,e),E(At.$$.fragment,e),to=!1},d(e){a(i),e&&a($),e&&a(h),D(s),e&&a(S),e&&a(q),e&&a(ws),e&&a(W),D(Ke),e&&a(xs),e&&a(M),D(Ze),D(be),e&&a(ks),e&&a(C),D(et),D(we),D(xe),D(ke),D(Ee),e&&a(Es),e&&a(R),D(dt),D(De),e&&a(Ds),e&&a(F),D(ct),D(Ne),e&&a(Ns),e&&a(z),D(ft),D(je),e&&a(js),e&&a(Y),D(gt),D(Ce),e&&a(Cs),e&&a(G),D(ht),D(Se),e&&a(Ss),e&&a(te),D(ut),e&&a(Os),e&&a(ae),D(_t),e&&a(qs),D(qe,e),e&&a(Fs),e&&a(I),D(vt),D(Fe),D(Te),e&&a(Ts),e&&a(A),D($t),D(Pe),D(Ie),e&&a(Ps),e&&a(X),D(bt),D(Ae),e&&a(Is),e&&a(se),D(wt),e&&a(As),e&&a(Bt),e&&a(Ls),e&&a(He),e&&a(Hs),e&&a(H),e&&a(Us),D(xt,e),e&&a(Vs),e&&a(oe),D(kt),e&&a(Ms),e&&a(ne),D(Et),e&&a(Bs),e&&a(re),D(Dt),e&&a(Rs),e&&a(ie),D(Nt),e&&a(Js),e&&a(le),D(jt),e&&a(zs),e&&a(de),D(Ct),e&&a(Ys),e&&a(ce),D(St),e&&a(Gs),e&&a(pe),D(Ot),e&&a(Xs),e&&a(me),D(qt),e&&a(Qs),e&&a(fe),D(Ft),e&&a(Ws),e&&a(ge),D(Tt),e&&a(Ks),e&&a(he),D(Pt),e&&a(Zs),e&&a(ue),D(It),e&&a(eo),e&&a(_e),D(At)}}}const md={local:"loading-methods",sections:[{local:"datasets.list_datasets",title:"Datasets"},{local:"datasets.list_metrics",title:"Metrics"},{local:"from-files",sections:[{local:"datasets.packaged_modules.text.TextConfig",title:"Text"},{local:"datasets.packaged_modules.csv.CsvConfig",title:"CSV"},{local:"datasets.packaged_modules.json.JsonConfig",title:"JSON"},{local:"datasets.packaged_modules.parquet.ParquetConfig",title:"Parquet"},{local:"datasets.packaged_modules.sql.SqlConfig",title:"SQL"},{local:"datasets.packaged_modules.imagefolder.ImageFolderConfig",title:"Images"},{local:"datasets.packaged_modules.audiofolder.AudioFolderConfig",title:"Audio"}],title:"From files"}],title:"Loading methods"};function fd(j){return Yl(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class bd extends Bl{constructor(i){super();Rl(this,i,fd,pd,Jl,{})}}export{bd as default,md as metadata};
